-- ------------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2000
--     ./base/db/Oracle8i/bh/BH_Calendar.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605
-- ------------------------------------------------------------------------
whenever sqlerror exit sql.sqlcode;

CREATE TABLE BH_Calendar(
    ReportSpecId     INTEGER       NOT NULL,
    FirstHour        INTEGER       NOT NULL,
    LastHour         INTEGER       NOT NULL,
    CalendarDate     DATE          NOT NULL,
    CONSTRAINT pk_BH_Calendar PRIMARY KEY
               (ReportSpecId, CalendarDate, FirstHour, LastHour),
    CONSTRAINT fk_BH_Calendar FOREIGN KEY (ReportSpecId)
		REFERENCES BH_ReportSpec(Id) ON DELETE CASCADE
) ORGANIZATION INDEX
TABLESPACE wm_flexpm;

