#! /bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./base/db/Oracle8i/cfgtool/check_install.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
#

#Updated 05/02/2009 - valnt00077479
if test -z "$DB_CONNECT"
then
   DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`
fi

make prebuild

sqlplus -s ${DB_CONNECT} << !

   set serverout on size 1000000

   @post_install_check.sql;

   variable feedback_id_sh NUMBER
    

DECLARE
      feedback_id_sql NUMBER;
BEGIN 

   post_install_check(feedback_id_sql);
   dbms_output.put_line( ' feeback_id_sql '|| feedback_id_sql);
:feedback_id_sh := feedback_id_sql;
END;
/
EXIT :feedback_id_sh    
!
feedback_id=$?

echo $feedback_id

if [ "$feedback_id" -eq 1 ] 
then
   make Install
fi
