whenever sqlerror exit sql.sqlcode;

--
-- Temporary fix to map data dictionary differences between the client
-- and Flex/PM
--

CREATE OR REPLACE TRIGGER PM_ReportSpec_Trigger
BEFORE INSERT OR UPDATE ON PM_ReportSpec
FOR EACH ROW
BEGIN
    IF :new.BHCategory = 'Physical Antenna' THEN
	:new.RG_BHEntityName := 'Antenna';
    ELSIF :new.BHCategory = 'Ring Node' THEN
	:new.RG_BHEntityName := 'RingNode';
    ELSIF :new.BHCategory = 'InterMSC DataLink' THEN
	:new.RG_BHEntityName := 'IMDL';
    ELSIF :new.BHCategory = 'Logical Antenna ' THEN
	:new.RG_BHEntityName := 'VoiceLAF';
    ELSIF :new.BHCategory = 'Cell Carrier' THEN
	:new.RG_BHEntityName := 'Cell_Carrier';
    ELSE
	:new.RG_BHEntityName := :new.BHCategory;
    END IF;
END;
/
show errors;
