# (#) ./base/db/Oracle8i/creation_scripts/buildDrop.nawk BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# @(#) Copyright (c) 2000, WatchMark Corp. 
#
BEGIN {
  FS = "\t"

  #Store script version in variable "Release"
  Release="1.4.0"

  #Store Unix username in variable "Author"
  "who -m | cut -f1 -d \" \"" | getline Author

  #Store Date in variable script_run_date
  "date '+%m/%d/%Y %H:%M:%S'" | getline script_run_date

  print  "-- DropAllTimeSeries.sql"		> "dropAllTimeSeries.sql"
  print  "--"					> "dropAllTimeSeries.sql"
  print  "-- Generated: " script_run_date	> "dropAllTimeSeries.sql"
  print  "-- Script Release: " Release		> "dropAllTimeSeries.sql"
  print  "--"					> "dropAllTimeSeries.sql"
  print  "set echo on"				> "dropAllTimeSeries.sql"
  print  "set time on"				> "dropAllTimeSeries.sql"
}
{
  if (substr($0,1,1) != "#" && $1 != "GLOBAL_PARAMETERS" && $1 != ( "LUC_CPF_MESG_TMP" || "LUC_TF_CCR_CRUP_TMP") ) printf("DROP TABLE %s_TAB;\n",$1) > "dropAllTimeSeries.sql"
}
END{
print "exit;" > "dropAllTimeSeries.sql"
}
