CREATE OR REPLACE TYPE data_change_message AS OBJECT
-- ---------------------------------------------------------------------------
-- Copyright WatchMark Corp, 2004. All rights reserved.
--
-- (#) ./base/db/Oracle8i/data_change_event/data_change_messagePack.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- ---------------------------------------------------------------------------
(
    origin            VARCHAR2(64),
    event_id          INTEGER,
    event_time        DATE,
    event_type_id     INTEGER,
    handled_tstamp    DATE,
    instance_id       INTEGER,
    entity_id         INTEGER,
    file_type_id      INTEGER,
    process_output_id INTEGER,
    table_id          INTEGER,
    data_start        DATE,
    data_end          DATE,
    key_start         VARCHAR2(50),
    key_end           VARCHAR2(50),
    instance_start    INTEGER,
    instance_end      INTEGER,
  STATIC FUNCTION construct(
    origin            VARCHAR2,
    event_id          INTEGER,
    event_time        DATE,
    event_type_id     INTEGER,
    handled_tstamp    DATE,
    instance_id       INTEGER,
    entity_id         INTEGER,
    file_type_id      INTEGER,
    process_output_id INTEGER,
    table_id          INTEGER,
    data_start        DATE,
    data_end          DATE,
    key_start         VARCHAR2,
    key_end           VARCHAR2,
    instance_start    INTEGER,
    instance_end      INTEGER
                            )
	RETURN data_change_message
);
/
show errors;
