#! /bin/ksh
#-- ----------------------------------------------------------------------
#-- (#) ./base/db/Oracle8i/dictionary/scripts/dict_export.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
#-- (#) 
#-- Copyright 2003 WatchMark Corp.
#-- ----------------------------------------------------------------------
#--

#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

DATE=`date +%y:%m:%d_%H:%M:%S`
echo date string = $DATE

PEIK_EXISTS=`sqlplus -s <<EOF
${DB_CONNECT}
set feedback off
set serveroutput on
declare
  x char(1);
begin

  select 'Y' into x
    from user_tables
   where table_name = 'SAVE_PEIK_EXTRA_FLD_PROPERTY';

  dbms_output.put_line('Y');
exception
when NO_DATA_FOUND then
  dbms_output.put_line('N');
end;
/
EOF`

if [ "$PEIK_EXISTS" = "Y" ]
then
   exp ${DB_CONNECT} TABLES=\(save_dict_field,save_templatefield,save_template,save_softalarm,save_reportbh,save_busyhour,save_udc,save_table,save_col_def_subtype,save_eds_primarykey,save_eds_def,save_eds_field,save_eds_tech,save_peik_extra_fld_property,save_field_style,save_udr_keys\) FILE=update_$DATE.dmp
else
   exp ${DB_CONNECT} TABLES=\(save_dict_field,save_templatefield,save_template,save_softalarm,save_reportbh,save_busyhour,save_udc,save_table,save_col_def_subtype,save_eds_primarykey,save_eds_def,save_eds_field,save_eds_tech,save_field_style,save_udr_keys\) FILE=update_$DATE.dmp
fi
