-- ****************************************************
-- *** Truncate Data Dictionary Schema              ***
-- *** (except for Technology and Namespace tables) ***
-- *** Leave UDC data                               ***
-- ****************************************************

-- *** (#) ./base/db/Oracle8i/dictionary/scripts/dict_trunc_all.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- *** (#) 

SET SERVEROUTPUT ON;

BEGIN
     EXECUTE IMMEDIATE 'DROP INDEX UNQ_BusyHour';
  EXCEPTION 
  WHEN OTHERS THEN
     NULL;
END;
/

ALTER TABLE PM_filter DISABLE CONSTRAINT FK_Filter_TempId_FldOrd;

UPDATE PM_ReportSpec
  SET Field_ID = NULL
  WHERE Field_ID IS NOT NULL;

UPDATE PM_Template
  SET CriteriaFieldID = NULL
  WHERE CriteriaFieldID IS NOT NULL;

DELETE FROM PM_TemplateField;

ALTER TABLE SA_THRESHOLD DISABLE CONSTRAINT FK_SA_THRS_FIELD_ID;

UPDATE SA_THRESHOLD
SET FIELD_ID = 0;

UPDATE PM_BusyHour
  SET Field_ID = NULL
  WHERE Field_ID IS NOT NULL;

DELETE FROM wmd_Field_Tech
  WHERE Field_ID NOT IN 
        ( SELECT Field_ID FROM wmd_Field_Def WHERE Field_Type in ('U','X') );

DELETE FROM wmd_Field_Data
  WHERE Field_ID NOT IN 
        ( SELECT Field_ID FROM wmd_Field_Def WHERE Field_Type in ('U','X') );

DELETE FROM wmd_Dict_Name
  WHERE Field_ID NOT IN 
        ( SELECT Field_ID FROM wmd_Field_Def WHERE Field_Type in ('U','X') );
DELETE FROM wmd_DataSource_Extra;
DELETE FROM wmd_Enum_Values;
DELETE FROM wmd_Col_Def_SubType;
DELETE FROM wmd_Col_Def;
DELETE FROM wmd_Dict_Table;
DELETE FROM wmd_Calc_Def;
DELETE FROM wmd_Dict_Function;
/* DELETE FROM wmd_UDC_Def; */
DELETE FROM wmd_Func_Def;
DELETE FROM wmd_Dict_Field_Depend;
DELETE FROM wmd_Field_Def
  WHERE Field_Type not in ('U','X');
-- 

EXIT;
