-- -----------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2002
--     en_notification_filter_v.sql 1.1.0
-- -----------------------------------------------------------------------

CREATE OR REPLACE VIEW en_notification_filter_v AS
SELECT /*+ ORDERED */ n.id, n.folderid, n.userid, n.name
       ,n.description,n.changed,n.type, n.category
FROM en_event_filter_tmp tmp,
     pm_notification_event_map nem,
     pm_notification n
WHERE tmp.event_type_id = nem.event_type_id
  AND nem.notify_id     = n.id;
  
exit;

