#!/usr/bin/env perl

# (#) ./base/db/Oracle8i/export2/convert.pl BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 

# Convert export file from rowid
# format to number index format.

my $number = 0;

while ( <STDIN> ) {
  ( $row_type, $cur_row_id, $par_row_id, $remainder) = split /\t/, $_, 4;

  if ( $row_type eq "D" ) {
    if ( ! $row_id_hash{ $cur_row_id } ) { $row_id_hash{ $cur_row_id } = ++$number; }
    if ( ( $par_row_id ) && ( ! $row_id_hash{ $par_row_id } ) ) { $row_id_hash{ $par_row_id } = ++$number; }
    print $row_type."\t".$row_id_hash{ $cur_row_id }."\t".$row_id_hash{ $par_row_id }."\t".$remainder;

  } else {
    print $_;

  }
}



