-------------------------------------------------
--
-- File: create_jloader_schema.sql
--
-- Desc: Creates the core portion of the jloader schema
-- See design documentation for more details
-- 
--
-------------------------------------------------

-------------------------------------------------
--
-- Create global temp tables which will store any
-- attribute mappings extracted from the file name
-- See jloader_util package for access function
--
-------------------------------------------------
CREATE GLOBAL TEMPORARY TABLE jloader_attribute_mapping (
	entry_name VARCHAR2(256) NOT NULL,
	attribute_name VARCHAR2(64) NOT NULL,
	attribute_value VARCHAR2(256),
	CONSTRAINT uq_jloader_attribute_mapping UNIQUE (entry_name, attribute_name)
) 
ON COMMIT PRESERVE ROWS;


	
		
