--
-- (#) ./base/db/Oracle8i/metadata/client/load_client_config.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
-- COPYRIGHT WatchMark Corp 2003
--

--
-- WARNING:
--   THIS FILE IS GENERATED USING A CONFIGURATION TOOL.
--   MANUAL EDITS WILL BE DESTROYED.
--

PROMPT Populating PM_PRODUCT_INFO...

INSERT INTO PM_PRODUCT_INFO VALUES ('CompanyName', 'WatchMark');
INSERT INTO PM_PRODUCT_INFO VALUES ('MachineRootKey', '\HKEY_LOCAL_MACHINE\SOFTWARE');
INSERT INTO PM_PRODUCT_INFO VALUES ('MainAppIconFile', 'WatchMark.ico');
INSERT INTO PM_PRODUCT_INFO VALUES ('ProductFullName', 'WatchMark Prospect Enterprise 8.0');
INSERT INTO PM_PRODUCT_INFO VALUES ('ProductName', 'Prospect Enterprise 8.0');
INSERT INTO PM_PRODUCT_INFO VALUES ('ProductRelease', 'Enterprise 8.0');
INSERT INTO PM_PRODUCT_INFO VALUES ('ProductType', 'Standard Install');
INSERT INTO PM_PRODUCT_INFO VALUES ('ProductVersion', '8.0');
INSERT INTO PM_PRODUCT_INFO VALUES ('UserRootkey', '\HKEY_CURRENT_USER\SOFTWARE');
commit;

PROMPT Populating PM_TOOLS...

INSERT INTO PM_TOOLS VALUES ('appFactory.CAppGrpTool_UserAdm', 'User Administration', 1);
INSERT INTO PM_TOOLS VALUES ('appFactory.CAppGrpTool_Find', 'File search', 2);
INSERT INTO PM_TOOLS VALUES ('ExprTool.CAppGrpTool_ExprTool', 'User-Defined Calculations', 4);
INSERT INTO PM_TOOLS VALUES ('BusyhourTool.CAppGrpTool_BusyTool', 'Traffic Busy Hours', 5);
INSERT INTO PM_TOOLS VALUES ('BusyhourTool.CAppGrpTool_SummationTool', 'Traffic Summations', 6);
INSERT INTO PM_TOOLS VALUES ('DataAvailTool.CAppGrpTool_DataAvail', 'Data Availability', 7);
INSERT INTO PM_TOOLS VALUES ('HolidayDefTool.CAppGrpTool_HolidayDef', 'Holiday Definition', 8);
INSERT INTO PM_TOOLS VALUES ('DefaultsTool.CAppGrpTool_Defaults', 'Grade of Service Defaults', 9);
INSERT INTO PM_TOOLS VALUES ('ECCalculator.CAppGrpTool_ECCalc', 'Engineered Capacity Calculator', 11);
INSERT INTO PM_TOOLS VALUES ('MOTDTool.CAppGrpTool_MOTD', 'Message of the Day', 13);
INSERT INTO PM_TOOLS VALUES ('FindFieldTool.CAppGrpTool_FindFieldTool', 'Find Field Tool', 3);
commit;

PROMPT Populating PM_HELP_FILE_TYPE...

INSERT INTO PM_HELP_FILE_TYPE VALUES(1, 'User Guide', 100000, 99999, 'Y');
INSERT INTO PM_HELP_FILE_TYPE VALUES(2, 'Administration Guide', 300000, 99999, 'Y');
INSERT INTO PM_HELP_FILE_TYPE VALUES(3, 'Performance Data Reference', 400000, 99999, 'N');
INSERT INTO PM_HELP_FILE_TYPE VALUES(4, 'Glossary', 500000, 99999, 'N');
INSERT INTO PM_HELP_FILE_TYPE VALUES(5, 'Graphs User Guide', 600000, 4999, 'N');
INSERT INTO PM_HELP_FILE_TYPE VALUES(6, 'SES User Guide', 200000, 94999, 'Y');
INSERT INTO PM_HELP_FILE_TYPE VALUES(7, 'SES Admin Guide', 295000, 4999, 'Y');
INSERT INTO PM_HELP_FILE_TYPE VALUES(8, 'SES Glossary', 0, 0, 'N');
INSERT INTO PM_HELP_FILE_TYPE VALUES(9, 'Expressions Tech Reference', 0, 0, 'N');
commit;

PROMPT  Populating table PM_GROUPS...

INSERT INTO PM_GROUPS(GROUP_ID,GROUP_NAME,GROUP_DESCRIPTION,POSITION) VALUES(1000,'Config','Network element configuration',1);
INSERT INTO PM_GROUPS(GROUP_ID,GROUP_NAME,GROUP_DESCRIPTION,POSITION) VALUES(1001,'Traffic','Network activity and performance',2);
INSERT INTO PM_GROUPS(GROUP_ID,GROUP_NAME,GROUP_DESCRIPTION,POSITION) VALUES(1004,'Schedule','Schedule entries',5);
INSERT INTO PM_GROUPS(GROUP_ID,GROUP_NAME,GROUP_DESCRIPTION,POSITION) VALUES(1005,'Explorer','All document types',99);
INSERT INTO PM_GROUPS(GROUP_ID,GROUP_NAME,GROUP_DESCRIPTION,POSITION) VALUES(1006,'Graph','Report results in graphs',7);
INSERT INTO PM_GROUPS(GROUP_ID,GROUP_NAME,GROUP_DESCRIPTION,POSITION) VALUES(1007,'Soft Alarms','Soft Alarms',8);
INSERT INTO PM_GROUPS(GROUP_ID,GROUP_NAME,GROUP_DESCRIPTION,POSITION) VALUES(1018,'External','External Sources and Event Notification',6);
commit;

PROMPT  Populating table PM_GLOBAL_CLASSES...

INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1000,'DBFolder.GDBFolder','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1001,'AppGroup.GAppGroup','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1002,'Report.Greport','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1006,'Template.Gtemplate','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1007,'SchedEntry.GSchedEntry','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1008,'AppFactory.GAppFactory','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1009,'AppRegistration.Gappregistration','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1010,'BusyHourTool.GBusyHourTool','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1013,'ExprTool.Gexpression','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1017,'DataAvailTool.GDataAvailTool','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1018,'DatetimeScope.GDateTimeScope','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1019,'DBUtil.GDBUtil','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1020,'DefaultsTool.GDefaultsTool','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1021,'DynbTab.GDynaTab','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1022,'ECCalculator.GECCalcTool','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1023,'ExprEditor.GExprEditor','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1024,'FeaturesImpTool.GFeaturesImpTool','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1025,'FieldInfo.GBusyHour','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1026,'Fieldinfo.GFieldInfo','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1028,'HolidayDefTool.GHolidayDefTool','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1029,'MacroOptions.GMacroOptions','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1030,'MsgHandler.GMsgHandler','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1031,'OptionsTabs.Goptionstabs','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1032,'Profiles.Gprofiles','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1034,'Utility.Gutility','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1035,'XML_Processor.GWinsockMgr','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1036,'XML_Query.GXML_Query','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1037,'BusyHourEditor.GBusyHourEditor','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1040,'ReportOutput.GReportOutput','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1047,'ScheduleGroup.GScheduleGroup','Universal group creator');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1004,'Scenario.Gscenario','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1027,'Graphs.Ggraph','');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1041,'SoftAlarm.GSoftAlarm','Soft Alarm Definition');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1044,'SATemplate.GSATemplate','Soft Alarm Template Global Class');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1049,'SAViewer.GSAViewer','Soft Alarm Viewer');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1050,'SASchedule.GSASchedule','Soft Alarm Schedule Global Class');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1068,'ENEditor.GENEditor','Event Notification Definition');
INSERT INTO PM_GLOBAL_CLASSES(CLASS_ID,GLOBAL_CLASS,DESCRIPTION) VALUES(1070,'DataSources.GDataSources','Data Sources global class');
commit;

PROMPT  Populating table PM_CATEGORIES...

INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1009,'ScenarioCategory',1004,'Scenarios','Scenario','Scenarios',101,'ScenarioTypes',1,'CScenarioEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1012,'TrafficTemplateCategory',1006,'Traffic Templates','Traffic Template','Templates',101,'TrafficTemplateTypes',3,'CTrafficTemplateEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1021,'ExplorerDocumentsAppCategory',1001,'Explorer Documents','Explorer Document','Documents',101,'Nothing',3,'');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1022,'GraphTemplateCategory',1027,'Graph Templates','Graph Template','Graph Templates',101,'GraphTypes',0,'CGraphTemplateEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1023,'SARptCategory',1041,'Soft Alarm','Soft Alarm','Soft Alarm',101,'SARptTypes',0,'CSARptEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1024,'SATemplateCategory',1044,'Soft Alarm Template','Soft Alarm Template','Soft Alarm Template',101,'SATemplateTypes',0,'CSATemplateEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1030,'ScheduleGroupCategory',1047,'Schedule Groups','Schedule Group','Groups',101,'ScheduleGroupTypes',0,'CScheduleGroupEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1034,'SAViewerCategory',1049,'Soft Alarm Viewers','Soft Alarm View','Soft Alarm View',101,'SAViewerTypes',0,'CSAViewerEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1044,'TrafficRptCategory',1002,'Traffic Reports','Traffic Report','Reports',101,'TrafficRptTypes',0,'CTrafficRptEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1047,'GrpSchEntryCategory',1007,'Group Schedules','Group Schedule','Schedule Entries',101,'GrpSchedEntryTypes',0,'CSchedEntryEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1049,'ENEditorCategory',1068,'Event Notification Definition','Event Notification Definition','Event Notification',101,'ENEditorTypes',0,'CENEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1050,'ConfidenceRptCategory',1002,'Confidence Reports','Confidence Report','Confidence Reports',101,'ConfidenceRptTypes',0,'CConfidenceRptEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1051,'ASCIIDataSourcesCategory',1070,'ASCII Data Sources','ASCII Data Source','ASCII Data Sources',101,'ASCIIDataSourcesTypes',0,'CDataSourcesEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1052,'ODBCDataSourcesCategory',1070,'ODBC Data Sources','ODBC Data Source','ODBC Data Sources',101,'ODBCDataSourcesTypes',0,'CDataSourcesEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES(1033,'SAScheduleCategory',1050,'Soft Alarm Schedule','Soft Alarm Schedule','Group Schedules',101,'SAScheduleTypes',0,'CSAScheduleEditor');
INSERT INTO PM_CATEGORIES(CATEGORY_ID,CATEGORYFUNCTION,CLASS_ID,CATEGORYNAME,CATEGORYDOCNAME,ICONLABEL,ICON,DOCUMENTTYPES,PROPERTY_ID,EDITOR) VALUES
(1053,'EntTrafficRptCategory',1002,'Enterprise Traffic Reports','Enterprise Report','Reports',101,'EntTrafficRptTypes',0,'CEntTrafficRptEditor');
commit;

PROMPT  Populating table PM_GROUP_CATEGORIES...

INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1000,1009,1004);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1000,1050,1051);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1001,1012,1007);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1001,1044,1043);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1004,1030,1027);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1004,1047,1044);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1005,1021,1016);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1006,1022,1020);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1007,1023,1021);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1007,1024,1022);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1007,1034,1029);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1018,1049,1050);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1018,1051,1052);
INSERT INTO PM_GROUP_CATEGORIES(GROUP_ID,CATEGORY_ID,GROUP_CAT_ID) VALUES(1018,1052,1053);
commit;

PROMPT  Populating table PM_REG_HANDLERS...

INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('AppCategoryDBState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('AppCategoryVBState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('AppLoggingState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('BusyHourEditorState',1037);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('BusyHourToolState',1010);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CfgEntityRptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CfgMapRptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CfgScenarioRptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ChangePasswordDialogState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ConfidenceRptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ConfigReportState',1040);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ConfirmDeleteDocumentsDialogState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailCntExpressionEditorState',1023);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailCntExpressionToolState',1013);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailCntRptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailCntTemplateEditorState',1006);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailHORptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailMsgExpressionEditorState',1023);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailMsgExpressionToolState',1013);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailMsgRptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('CPFailMsgTemplateEditorState',1006);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('DataAvailToolState',1017);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('DataSourcesEditorState',1070);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('DateTimeScopeState',1018);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('DefaultsToolState',1020);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ECCalcToolState',1022);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ENEditorState',1068);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ExplorerCurrentState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ExplorerGeneralState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('FeaturesImpToolState',1024);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('FilterDefinitions',1026);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('FindExpressionState',1013);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('FindToolState',1008);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('GraphEditorState',1027);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('HolidayDefToolState',1028);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('HoursDefinitions',1018);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ImmediateRptState',1040);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('MainAppState',1008);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('RptFormatState',1040);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('RptOutputState',1040);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('RptTypeTabState',1040);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SARptEditorState',1041);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SAScheduleEditorState',1050);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SATemplateEditorState',1044);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SaveDocumentDialogState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SAViewerEditorState',1049);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ScenarioEditorState',1004);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SchedEntryEditorState',1007);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SchedState',1040);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('ScheduleGroupEditorState',1047);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SelectDocumentsDialogState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SelectDocumentTypeDialogState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SelectFolderDialogState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SelectUserDialogState',1001);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SummationEditorState',1037);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('SummationToolState',1010);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('TrafficExpressionEditorState',1023);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('TrafficExpressionToolState',1013);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('TrafficRptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('TrafficTemplateEditorState',1006);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('UDRExpressionEditorState',1023);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('UDRExpressionToolState',1013);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('UDRRptEditorState',1002);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('UDRTemplateEditorState',1006);
INSERT INTO PM_REG_HANDLERS(FUNCTION_NAME,CLASS_ID) VALUES('UserAdmToolState',1008);
commit;

PROMPT  Populating table PM_HANDLERS...

INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1008,'DBFolder','DBFolder.CDBFolderInitializer',NULL,1000);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1019,'GrpSchedEntry','SchedEntry.CSchedEntryInitializer',NULL,1007);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1020,'SASchedule','',NULL,1050);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1021,'SAViewer','SAViewer.CSAViewerInitializer',NULL,1049);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1035,'ENEditor','',NULL,1068);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1036,'DataSources','',NULL,1070);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1018,'ScheduleGroup','',1019,1047);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1014,'SATemplate','',1018,1044);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1010,'SoftAlarm','',1018,1041);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1005,'Report','ReportOutput.CReportOutputInitializer',1018,1002);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1009,'Graph','Graphs.CGraphInitializer',1005,1027);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1003,'Template','',1005,1006);
INSERT INTO PM_HANDLERS(HANDLER_ID,HANDLER_NAME,DBINITIALIZER_CLASS,PARENT_ID,CLASS_ID) VALUES(1000,'Scenario','Scenario.CScenarioInitializer',1005,1004);
commit;

PROMPT  Populating table PM_SCHED_GROUP...

INSERT INTO PM_SCHED_GROUP(GROUP_ID,CAN_SCHED,CAN_GROUP,TITLE,HANDLER_ID,CATEGORY_ID) VALUES(1004,'Y','Y','Report',1005,1047);
INSERT INTO PM_SCHED_GROUP(GROUP_ID,CAN_SCHED,CAN_GROUP,TITLE,HANDLER_ID,CATEGORY_ID) VALUES(1007,'Y','Y','Soft Alarm',1010,1033);
commit;

PROMPT  Populating table PM_PROP_OPTIONS_TABS...

INSERT INTO PM_PROP_OPTIONS_TABS(OPTIONTAB_ID,TAB_TYPE,TAB_NAME,TAB_LABEL,CTL_PROG,COMMENTS) VALUES(1000,'DocGeneral','General','General','OptionsTabsCtls.XOptTabDocGeneral','');
INSERT INTO PM_PROP_OPTIONS_TABS(OPTIONTAB_ID,TAB_TYPE,TAB_NAME,TAB_LABEL,CTL_PROG,COMMENTS) VALUES(1001,'FldGeneral','General','General','OptionsTabsCtls.XOptTabFldGeneral','Used for Folders');
INSERT INTO PM_PROP_OPTIONS_TABS(OPTIONTAB_ID,TAB_TYPE,TAB_NAME,TAB_LABEL,CTL_PROG,COMMENTS) VALUES(1002,'FldCategory','Category','Category','OptionsTabsCtls.XOptTabFldCategory','Used for Folders');
INSERT INTO PM_PROP_OPTIONS_TABS(OPTIONTAB_ID,TAB_TYPE,TAB_NAME,TAB_LABEL,CTL_PROG,COMMENTS) VALUES(1003,'SchedGeneral','General','General','OptionsTabsCtls.XOptTabSchedGeneral','');
INSERT INTO PM_PROP_OPTIONS_TABS(OPTIONTAB_ID,TAB_TYPE,TAB_NAME,TAB_LABEL,CTL_PROG,COMMENTS) VALUES(1004,'SchedDetails','Details','Details','OptionsTabsCtls.XOptTabSchedDetails','');
commit;

PROMPT  Populating table PM_DOC_HANDLER_TABS...

INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1000,1000,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1002,1003,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1004,1005,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1008,1008,1001);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1009,1008,1002);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1010,1009,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1011,1010,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1012,1014,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1016,1018,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1017,1020,1003);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1018,1019,1003);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1019,1019,1004);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1020,1021,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1035,1035,1000);
INSERT INTO PM_DOC_HANDLER_TABS(ID,HANDLER_ID,OPTIONTAB_ID) VALUES(1036,1036,1000);
commit;

PROMPT  Populating table PM_FDM_CLASSES...

INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1000,1000,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1001,1000,'SchedEntry.CDBFDocMsg_RunReport','7');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1002,1000,'SchedEntry.CDBFDocMsg_RunReportGrp','8');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1006,1003,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1007,1003,'Report.CDBFDocMsg_CreateReport','3');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1009,1005,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1010,1005,'SchedEntry.CDBFDocMsg_Run','6');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1011,1005,'ReportGrp.CDBFDocMsg_CreateReportGrp','4');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1017,1008,'AppFactory.CDBFDocMsg_Folder_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1018,1008,'AppFactory.CDBFDocMsg_Folder_Find','2');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1020,1009,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1023,1014,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1025,1010,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1030,1018,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1031,1019,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1032,1019,'GrpSchEntry.CDBFDocMsg_CreateSchedEntry','5');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1034,1014,'SoftAlarm.CDBFDocMsg_CreateSoftAlarm','3');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1035,1020,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1036,1020,'SchedEntry.CDBFDocMsg_ChangeState','9');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1038,1021,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1039,1018,'SchedEntry.CDBFDocMsg_RunReportGrp','8');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1040,1018,'SchedEntry.CDBFDocMsg_CreateSchedEntry','5');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1041,1019,'SchedEntry.CDBFDocMsg_ChangeState','9');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1045,1010,'ReportGrp.CDBFDocMsg_CreateReportGrp','4');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1047,1018,'SesSched.CDBFDocMsg_RunSesGroup','8');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1048,1000,'SesSched.CDBFDocMsg_RunSesStudy','9');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1083,1035,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1084,1036,'AppGroup.CDBFDocMsg_Editor_Open','1');
INSERT INTO PM_FDM_CLASSES(FDM_CLASSES_ID,HANDLER_ID,CLASS_NAME,ORDINAL) VALUES(1085,1036,'DataSources.CDBFDocMsg_CreateDataSource','2');
commit;

PROMPT  Populating table PM_APP_NAMES...

INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1000,'Traffic');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1006,'Options');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1007,'Schedule');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1008,'Sched OverRides');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1009,'Config Scenario');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1011,'Graph');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1012,'Soft Alarm');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1013,'Soft Alarm Template');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1019,'Soft Alarm Schedule');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1020,'Soft Alarm Sched OVR');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1043,'Notification');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1044,'Confidence');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1045,'ASCII Data Source');
INSERT INTO PM_APP_NAMES(APP_ID,APP_NAME) VALUES(1046,'ODBC Data Source');
commit;

PROMPT  Populating table PM_TABS...

INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1000,'DynaTabCtls.XRptTypeTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1001,'DynaTabCtls.XDTScopeTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1006,'DynaTabCtls.XRptFormatTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1007,'DynaTabCtls.XSchedGenTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1008,'DynaTabCtls.XScheduleTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1009,'DynaTabCtls.XScenarioTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1010,'DynaTabCtls.XDestTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1011,'DynaTabCtls.XOvrDTScopeTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1016,'OptionsTabsCtls.XOptTabGeneral','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1017,'OptionsTabsCtls.XOptTabCategory','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1018,'OptionsTabsCtls.XOptTabDTScope','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1019,'OptionsTabsCtls.XOptTabTemplate','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1021,'OptionsTabsCtls.XOptTabRptFormat','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1022,'OptionsTabsCtls.XOptTabMacroOpts','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1023,'OptionsTabsCtls.XOptTabLogging','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1024,'OptionsTabsCtls.XOptTabAdvanced','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1025,'OptionsTabsCtls.XOptTabRptOutput','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1026,'OptionsTabsCtls.XOptTabSched','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1027,'OptionsTabsCtls.XOptTabImmediate','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1028,'DynaTabCtls.XRptGenTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1040,'OptionsTabsCtls.XOptTabGraphs','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1041,'SoftAlarmCtrls.XSAGenTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1042,'SoftAlarmCtrls.XSATemplateTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1060,'SoftAlarmCtrls.XThresholdTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1061,'DynaTabCtls.XSAScheduleTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1062,'DynaTabCtls.XSASchedGenTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1063,'DynaTabCtls.XSAScenarioTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1106,'ENEditorCtls.XEventsTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1107,'ENEditorCtls.XEventEmailTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1108,'DynaTabCtls.XConfRptGenTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1109,'DynaTabCtls.XConfRptTypeTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1110,'DynaTabCtls.XDSGenTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1111,'DynaTabCtls.XDSColumnsTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1112,'OptionsTabsCtls.XOptTabEmail','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1113,'DynaTabCtls.XDSODBCTab','');
INSERT INTO PM_TABS(TAB_ID,CONTROL_NAME,DESCRIPTION) VALUES(1116,'ENEditorCtls.XEventSNMPTab','');


commit;

PROMPT  Populating table PM_APP_TABS...

INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1000,1000,1000,'ReportType','Report Type',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1001,1000,1001,'DateTimeScope','Date-Time Scope',3);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1008,1000,1006,'Format','Format',4);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1012,1007,1007,'General','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1013,1007,1008,'Schedule','Schedule',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1014,1007,1009,'ScenarioOverride','Scenario',3);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1015,1007,1010,'DestinationOverride','Destination',5);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1016,1007,1011,'DateTimeOverride','Date-Time Scope',6);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1018,1008,1007,'General','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1019,1008,1009,'ScenarioOverride','Scenario',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1020,1008,1010,'DestinationOverride','Destination',3);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1021,1008,1011,'DateTimeOverride','Date-Time Scope',4);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1026,1006,1016,'General','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1027,1006,1017,'Category','Category',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1028,1006,1018,'DateTimeScope','Periods Definitions',3);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1029,1006,1019,'TechnologyFilters','Technology Filters',4);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1031,1006,1021,'ReportFormat','Report Format',6);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1032,1006,1022,'MacroOptions','Macro Options',7);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1033,1006,1023,'Logging','Logging',8);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1034,1006,1024,'Advanced','Advanced',9);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1035,1006,1025,'ReportOutput','Report Output',10);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1036,1006,1026,'Schedule','Schedule Entries',11);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1037,1006,1027,'ImmediateReports','Immediate Reports',12);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1041,1000,1028,'General','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1046,1009,1028,'General','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1047,1009,1006,'Format','Format',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1061,1012,1041,'SAGeneral','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1067,1013,1042,'SATemplate','Alarm Template',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1073,1006,1040,'Graphs','Graphs',13);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1087,1012,1060,'SAThreshold','Alarm Threshold',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1088,1019,1061,'SASchedSchedule','Schedule',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1089,1019,1062,'SASchedGeneral','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1090,1019,1063,'SAScenarioOvr','Scenario',3);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1091,1020,1062,'SASchedGenOvr','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1092,1020,1063,'SASchedScenOvr','Scenario Override',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1169,1043,1106,'Events','Event',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1170,1043,1107,'Email','Email',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1171,1044,1108,'General','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1172,1044,1109,'ReportType','Report Type',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1173,1044,1001,'DateTypeScope','Date-Time Scope',3);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1174,1044,1006,'Format','Format',4);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1175,1045,1110,'XDSGen','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1176,1045,1111,'XDSColumns','Columns',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1177,1006,1112,'Email','Email',18);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1178,1046,1113,'XDSODBC','General',1);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1179,1046,1111,'XDSColumns','Columns',2);
INSERT INTO PM_APP_TABS(APP_TAB_ID,APP_ID,TAB_ID,TABNAME,TABLABEL,POSITION) VALUES(1190,1043,1116,'SNMP','SNMP',3);
commit;

PROMPT  Populating table GROUP_TYPE_JOB_TYPE...

INSERT INTO GROUP_TYPE_JOB_TYPE(Group_Id,Job_Type) VALUES(1004,1);
INSERT INTO GROUP_TYPE_JOB_TYPE(Group_Id,Job_Type) VALUES(1004,10);
INSERT INTO GROUP_TYPE_JOB_TYPE(Group_Id,Job_Type) VALUES(1007,2);
commit;

EXIT;
