---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/metadata/saext/pop_part_table.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

BEGIN

   INSERT INTO part_tables
   (part_table_id,
    table_name,
    tablespace_name,
    period,
    future_part,
    past_part,
    drop_sproc)
   VALUES
   (part_table_seq.nextval,
    'SAEXT_KPI_TAB',
    'TRAFFIC_JUMBO',
    'D',
    3,
    35,
    null
   );

EXCEPTION
   WHEN dup_val_on_index THEN
      DBMS_OUTPUT.PUT_LINE('SAEXT_KPI_TAB is already in part_tables');
END;
/

COMMIT;

