-- -----------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2000
--		 ./base/db/Oracle8i/metadata/scheduler/auto_cleanup.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605
-- -----------------------------------------------------------------------

--
--  Create a job to do an autoclean every 20 minutes
--

DELETE FROM schedule
WHERE job_type = 20
  AND sched_fk = 6;

INSERT INTO schedule
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk,
 is_optional) VALUES
(schedule_seq.nextval,
 20,
 trunc(sysdate, 'HH')+
   ((ceil(to_number(to_char(sysdate, 'MI')) / 10) * 10) / (24*60)),
 null,
 'S',
 120 * 60,     -- every 2 hours
 6,
 'Y');

commit;
exit;

