-- (#) ./base/db/Oracle8i/metadata/scheduler/summaryClean.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 

DELETE FROM schedule WHERE job_type = 20 AND sched_fk = 4;

DELETE FROM TM_jobdesc WHERE jobdesc_id in (
   SELECT jd.jobdesc_id
   FROM schedule s, TM_jobdesc jd
   WHERE s.job_type = 25
     AND s.period = 'D'
     AND s.sched_fk = jd.jobdesc_id
     AND jd.software_id = 3);

DELETE FROM schedule WHERE schedule_id in (
   SELECT s.schedule_id
   FROM schedule s, TM_jobdesc jd
   WHERE s.job_type = 25
     AND s.period = 'D'
     AND s.sched_fk = jd.software_id(+)
     AND nvl(jd.software_id, 3) = 3
     AND jd.software_id IS NULL);
   
commit;
exit;
