---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/metadata/systemVar/create_system_var.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

-- softalarm schedule System Restart Timeout: set to 900 seconds
exec wm_sysval.newSysVal('SASystemRestartTimeout',900);

-- enable the check box for removing control information
exec wm_sysval.newSysVal( 'EnableRemoveControlInfo', 'TRUE' );

-- SEAde59141 Invalid rowid
exec wm_sysval.newSysVal( 'IOTSECONDS2WAIT', '30' );

-- SEAde62916 Add parallel options to part_maint
exec wm_sysval.newSysVal( 'PartMaintStatsParallel', '2' );
exec wm_sysval.newSysVal( 'PartMaintDropParallel', '2' );
exec wm_sysval.newSysVal( 'PartMaintMoveParallel', '2' );
exec wm_sysval.newSysVal( 'PartMaintSessions', '1' );

-- SEAde62916 Add HASH option for BH_Update and BH_Clean
-- and additional cleanup
exec wm_sysval.newSysVal( 'BHSortAreaSize', 10*1024*1024 );
exec wm_sysval.newSysVal( 'BHSortAreaRetainedSize', 10*1024*1024 );
exec wm_sysval.newSysVal( 'BHHashAreaSize', 20*1024*1024 );

exec wm_sysval.newSysVal( 'BHCleanSortAreaSize', 100*1024*1024 );
exec wm_sysval.newSysVal( 'BHCleanSortAreaRetainedSize', 100*1024*1024 );
exec wm_sysval.newSysVal( 'BHCleanHashAreaSize', 200*1024*1024 );
exec wm_sysval.newSysVal( 'BHCleanMaxRunTime', 60*60*2 );

exec wm_sysval.newSysVal( 'DDLProtectTruncate', 'TRUE');

exec wm_sysval.newSysVal( 'wml_load.lock_unsafe_find_instance', '0' );

-- SEAde68939 Add new summation variable
exec wm_sysval.newSysVal( 'SummationLastNIDate', TO_CHAR(sysdate-1,'YYYYMMDD' ) );

