---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2006,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/rg_trending/rg_trending_metadata.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 

BEGIN
	
	-- Sets the minimum number of SBH datapoints an instance must have in a forecasting report,
	-- in order for that instance to be included in the results.
	wm_sysval.newsysvalifnotexists( 'web.reporting.trending.min_datapoints',   '10' );

	-- Sets the maximum X-Axis extention for forecasting charts  
	wm_sysval.newsysvalifnotexists( 'web.reporting.trending.max_chart_extend', '30' );

	-- Sets the smallest valid forecasting slope value for valid instances
	wm_sysval.newsysvalifnotexists( 'SmallestValidRegressionSlope',            '0.00000001' );

END;
/
  
  
 
