CREATE OR REPLACE PACKAGE BODY
---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2001, 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/softalarm/sa_snap_pkgb.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
-- SA_SNAP package body: create snapshot for softalarm
--

sa_snap wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
b
9200000
1
4
0 
ad
2 :e:
1PACKAGE:
1BODY:
1SA_SNAP:
1SA_SNAP_CREATION:
1P_JOBID:
1NUMBER:
1SA_SNAP_DEFINITION:
1V_JOBID:
1JOB_ID:
1ACTIVE_TASK:
1ROWNUM:
1SELECT JOB_ID into v_jobid:n   from active_task:n  where job_id=p_jobid:n    +
1and rownum<2:
1SCHED_TASK_FK:
1DELETE from active_task:n  where job_id=p_jobid:n    and sched_task_fk is nul+
1l:
1NO_DATA_FOUND:
1V_OVRSCENARIOID:
1TASK_ID:
1SCHEDULE_TASK_SEQ:
1NEXTVAL:
1SGI:
1DOCUMENT_ID:
1ACTIVE_JOB:
1SA_SCHEDULE_VIEW:
1SASV:
1JOB_GROUP_ITEM:
1ORDINAL:
1ID:
1SCHEDULE_ID:
1GROUP_ID:
1RPTGRPID:
1INSERT into active_task(task_id, job_id, sched_task_fk):n    select schedule_+
1task_seq.nextval, p_jobid, sgi.document_id:n      from  active_job,:n        +
1   sa_schedule_view sasv,:n           (select * from job_group_item order by +
1ordinal) sgi:n      where active_job.job_id = p_jobid:n        and sasv.id = +
1active_job.schedule_id:n        and sgi.group_id = sasv.rptgrpid:
1SA_JOBLIST:
1SCHEDULEUSERID:
1SCHEDULENAME:
1REPORTGROUPNAME:
1MACHINENAME:
1SA_SCHEDULE:
1USERID:
1NAME:
1JOB_GROUP:
1PM_CLIENTMACHINE:
1SCHED_FK:
1SA_SCHEDULE_ID:
1CLIENTMACHINEID:
1INSERT into sa_JobList(id, scheduleUserId, scheduleName,:n                   +
1     reportGroupName, machinename):n   select p_jobid, sa_Schedule.UserId, sa+
1_Schedule.Name,:n          job_group.Name, PM_ClientMachine.machinename:n    +
1      from active_job, sa_Schedule, job_group, PM_ClientMachine:n          wh+
1ere active_job.job_Id = p_jobid:n          and active_job.sched_fk = sa_Sched+
1ule.sa_schedule_id:n          and sa_Schedule.group_id = job_group.id:n      +
1    and PM_ClientMachine.id (+)= sa_Schedule.ClientMachineId:
1SA_SOFTALARM_SNAP:
1SCENARIOID:
1FOLDERID:
1ENTITY_ID:
1DESCRIPTION:
1CATEGORY:
1TYPE:
1SATEMPLATEID:
1TIME_RANGE_ID:
1TIME_RANGE_VALUE:
1EXCLUDE_WEEKENDS:
1EXCLUDE_HOLIDAYS:
1ACTIVE:
1AUTO_CLEAR:
1ALARM_ID:
1CHANGED:
1AUTOPURGE:
1PURGEINTERVAL:
1RETRIEVEMODE:
1NVL:
1SAS:
1OVRSCENARIOID:
1SA:
1SA_SOFTALARM:
1TASK:
1JOB:
1INSERT into sa_softalarm_snap(:n       ID:n      ,SCENARIOID:n      ,USERID,F+
1OLDERID,ENTITY_ID,NAME:n      ,DESCRIPTION,CATEGORY,TYPE,SATEMPLATEID,TIME_RA+
1NGE_ID:n      ,TIME_RANGE_VALUE,EXCLUDE_WEEKENDS,EXCLUDE_HOLIDAYS:n      ,ACT+
1IVE,AUTO_CLEAR,ALARM_ID,JOB_ID,TASK_ID,CHANGED:n      ,autopurge, purgeinterv+
1al, retrievemode:n  ):n   select:n       ID:n      ,nvl(sas.OVRSCENARIOID, SC+
1ENARIOID):n      ,sa.USERID,sa.FOLDERID,ENTITY_ID,sa.NAME:n      ,sa.DESCRIPT+
1ION,CATEGORY,TYPE ,SATEMPLATEID,TIME_RANGE_ID:n      ,TIME_RANGE_VALUE,EXCLUD+
1E_WEEKENDS,EXCLUDE_HOLIDAYS:n      ,ACTIVE,AUTO_CLEAR, sa.ALARM_ID, p_jobid, +
1task_id,sa.CHANGED:n      ,sas.autopurge, sas.purgeinterval, sas.retrievemode+
1:n    from sa_softalarm sa,:n         sa_schedule sas,:n         active_task +
1task,:n         active_job job:n   where job.job_id=p_jobid:n     and job.job+
1_id=task.job_id:n     and task.sched_task_fk=sa.id:n     and sas.sa_schedule_+
1id=job.sched_fk:
1SA_TEMPLATE_SNAP:
1CAUSEID:
1ALARM_TYPE_ID:
1SUMMARY:
1SA_TEMPLATE_ID:
1MESSAGE:
1SAT:
1SA_TEMPLATE:
1INSERT into sa_template_snap(:n      TASK_ID,USERID,FOLDERID,NAME,DESCRIPTION+
1:n     ,CAUSEID,ALARM_TYPE_ID,CATEGORY,TYPE:n     ,SUMMARY,sa_template_id,MES+
1SAGE,CHANGED:n  ):n  select:n      sa.task_ID,sat.USERID,sat.FOLDERID,sat.NAM+
1E,sat.DESCRIPTION:n      ,CAUSEID,ALARM_TYPE_ID,sat.CATEGORY,sat.TYPE:n      +
1,SUMMARY,sat.id, MESSAGE,sat.CHANGED:n    from sa_template sat, sa_softalarm_+
1snap sa:n   where sat.id=sa.satemplateid:n     and sa.job_id=p_jobid:
1SA_LOGICAL_OPERATOR_SNAP:
1OPERATOR:
1PARENT_ID:
1SA_ID:
1SAOP:
1SA_LOGICAL_OPERATOR:
1INSERT into sa_logical_operator_snap(:n    task_id, id, operator, parent_id, +
1sa_id:n  ):n  select sa.task_id, saop.id, saop.operator:n        ,saop.parent+
1_id, saop.sa_id:n    from sa_logical_operator saop, sa_softalarm_snap sa:n   +
1where saop.sa_id = sa.id:n     and sa.job_id=p_jobid:
1SA_THRESHOLD_SNAP:
1SOFTALARM_ID:
1FIELD_ID:
1AGGREGATOR_ID:
1THRESHOLD_VALUE:
1SEVERITY_ID:
1HYST_COUNT:
1HYST_RANGE:
1SA_LOGOPR_ID:
1LOGOPR_DISP:
1OPEN_PARENS:
1CLOSE_PARENS:
1SATH:
1SA_THRESHOLD:
1DECODE:
1ORDINAL_GROUP:
1INSERT into sa_threshold_snap(:n       task_id ,softalarm_id ,field_id ,opera+
1tor ,aggregator_id:n      ,threshold_value ,severity_id ,hyst_count ,hyst_ran+
1ge:n      ,sa_logopr_id ,logopr_disp:n      ,open_parens ,close_parens , chan+
1ged:n  ):n  select:n      sa.task_id ,softalarm_id ,field_id ,operator ,aggre+
1gator_id:n      ,threshold_value ,severity_id ,hyst_count ,hyst_range:n      +
1,sa_logopr_id ,logopr_disp:n      ,open_parens ,close_parens , sath.changed:n+
1    from sa_threshold sath, sa_softalarm_snap sa:n   where sath.softalarm_id +
1= sa.id:n     and sa.job_id=p_jobid:n     and sath.ordinal = decode(sa.time_r+
1ange_id, 6, 1, sath.ordinal):n     and sath.ordinal_group = decode(sa.time_ra+
1nge_id, 6, 1, sath.ordinal_group):
1FUNCTION:
1SA_NEW_TASKID:
1JOBID:
1RETURN:
1TASK_ID_OUT:
1RETURNING:
1INSERT into ACTIVE_TASK(TASK_ID, JOB_ID):n    values (schedule_task_seq.NextV+
1al, jobId):n    RETURNING task_id into task_id_out:
1GEN_MAX_FREQUENCY:
1PJOBID:
1INTEGER:
1CURSOR:
1SA_TASK:
1SELECT * FROM sa_softalarm_snap:n       WHERE job_id=pJobID:
1SA_TASK_MAX_FREQ:
1MAX:
1FREQUENCY_ID:
1SECONDS:
1COUNT:
1COUNTS:
1SA_TASK_FREQ_TMP:
1SELECT task_id, job_id, softalarm_id,:n             max(frequency_id) frequen+
1cy_id,:n             max(seconds) seconds, count(task_id) counts:n        FRO+
1M sa_task_freq_tmp:n       WHERE job_id=pjobid:n       GROUP BY task_id, job_+
1id, softalarm_id:
1VCNT:
1PLS_INTEGER:
1LTASK:
1LOOP:
1WMD_DICT_FIELD_TMP:
1DELETE FROM wmd_dict_field_tmp:
1INSERT INTO wmd_dict_field_tmp:n      SELECT distinct field_id:n        FROM +
1sa_softalarm_snap sa, sa_threshold_snap sath:n       WHERE sa.task_id = lTask+
1.task_id:n         AND sa.task_id = sath.task_id:n         AND sa.id = sath.s+
1oftalarm_id:
1FREQ:
1WM_FILE_CONTROL:
1FC:
1WM_FREQUENCY:
1FILE_TYPE_ID:
1WMD_FIELD_FILE_MAP_VW:
1INSERT INTO sa_task_freq_tmp:n       (job_id, task_id, softalarm_id, frequenc+
1y_id, seconds):n      SELECT distinct lTask.job_id, lTask.task_id, lTask.id, +
1freq.frequency_id,:n             NVL(seconds, DECODE(freq.frequency_id, 8, 86+
1400, 9, 604800, NULL)):n      -- 8:: daily frequency id with frequency 24*60*+
160=86400:n      -- 9:: weekly frequency id with frequency 7*24*60*60=604800:n+
1        FROM wm_file_control fc, wm_frequency freq:n       WHERE fc.frequency+
1_id = freq.frequency_id:n         AND fc.file_type_id IN:n             (SELEC+
1T file_type_id:n                FROM wmd_field_file_map_vw:n             ):
1=:
16:
1INSERT INTO sa_task_freq_tmp:n           (job_id, task_id, softalarm_id, freq+
1uency_id, seconds):n        VALUES:n           (lTask.job_id, lTask.task_id, +
1lTask.id, 7, 3600):
1LSAMAXFREQ:
1<:
124:
1*:
160:
11:
1SA_TASK_MAX_FREQ_TMP:
1INSERT INTO sa_task_max_freq_tmp:n          (task_id, job_id, softalarm_id, f+
1requency_id, seconds):n          VALUES:n          (lSaMaxFreq.task_id, lSaMa+
1xFreq.job_id, lSaMaxFreq.softalarm_id,:n           lSaMaxFreq.frequency_id, l+
1SaMaxFreq.seconds):
1INSERT INTO sa_task_max_freq_tmp:n             (task_id, job_id, softalarm_id+
1, frequency_id, seconds):n            SELECT task_id, job_id, softalarm_id,:n+
1                   max(frequency_id), max(seconds):n              FROM sa_tas+
1k_freq_tmp:n             WHERE task_id=lSaMaxFreq.task_id:n               AND+
1 seconds <> 24*60*60:n             GROUP BY task_id, job_id, softalarm_id:
1ROWCOUNT:
1INSERT INTO sa_task_max_freq_tmp:n                (task_id, job_id, softalarm+
1_id, frequency_id, seconds):n               VALUES:n                (lSaMaxFr+
1eq.task_id, lSaMaxFreq.job_id, lSaMaxFreq.softalarm_id,:n                 lSa+
1MaxFreq.frequency_id, lSaMaxFreq.seconds):
1ELSIF:
1>:
1RAISE_APPLICATION_ERROR:
1-:
120101:
1get more than one frequencies, this should not happen. contact support:
1||:
1job_id=:
1TO_CHAR:
1, task_id=:
1, sa_id=:
17:
1SELECT COUNT(frequency_ID) INTO vcnt:n              FROM sa_task_freq_tmp:n  +
1           WHERE task_id=lSaMaxFreq.task_id:n               AND seconds != 7*+
124*60*60:
10:
1SELECT COUNT(frequency_ID) INTO vcnt:n                  FROM sa_task_freq_tmp+
1:n                 WHERE task_id=lSaMaxFreq.task_id:n                   AND s+
1econds != 7*24*60*60:n                   AND seconds != 24*60*60:
1INSERT INTO sa_task_max_freq_tmp:n                    (task_id, job_id, softa+
1larm_id, frequency_id, seconds):n                   VALUES:n                 +
1   (lSaMaxFreq.task_id, lSaMaxFreq.job_id, lSaMaxFreq.softalarm_id,:n        +
1             8, 24*60*60):
1INSERT INTO sa_task_max_freq_tmp:n                    (task_id, job_id, softa+
1larm_id, frequency_id, seconds):n                   SELECT task_id, job_id, s+
1oftalarm_id,:n                          max(frequency_id), max(seconds) :n   +
1                  FROM sa_task_freq_tmp:n                    WHERE task_id=lS+
1aMaxFreq.task_id:n                      AND seconds != 7*24*60*60:n          +
1            AND seconds != 24*60*60:n                    GROUP BY task_id, jo+
1b_id, softalarm_id:
1Invalid max frequency(:
1):
0

0
0
39d
2
0 :2 a0 97 9a 8f a0 b0 3d
b4 55 6a 9a 8f a0 b0 3d
b4 55 6a a3 a0 1c 81 b0
:6 a0 12a :4 a0 12a b7 :3 a0 a5 57
b7 a6 9 a4 a0 b1 11 68
4f 9a 8f a0 b0 3d b4 55
6a a3 a0 1c 81 b0 :1a a0 12a
:22 a0 12a :52 a0 12a :2f a0 12a :1b a0 12a
:38 a0 12a b7 a4 a0 b1 11 68
4f a0 8d 8f a0 b0 3d b4
:2 a0 2c 6a a3 a0 1c 81 b0
:9 a0 12a :2 a0 65 b7 a4 a0 b1
11 68 4f 9a 8f a0 b0 3d
b4 55 6a a0 f4 8f a0 b0
3d b4 bf c8 :3 a0 12a bd b7
11 a4 b1 a0 f4 8f a0 b0
3d b4 bf c8 :12 a0 12a bd b7
11 a4 b1 a3 a0 1c 4d 81
b0 91 :2 a0 a5 b a0 37 a0
12a :12 a0 12a :1f a0 12a :2 a0 6b 7e
51 b4 2e 5a :c a0 12a b7 19
3c b7 a0 47 91 :2 a0 a5 b
a0 37 :2 a0 6b 7e 51 7e 51
b4 2e 7e 51 b4 2e b4 2e
:2 a0 6b 7e 51 b4 2e 52 10
:10 a0 12a b7 :2 a0 6b 7e 51 7e
51 b4 2e 7e 51 b4 2e b4
2e :15 a0 12a a0 f 7e 51 b4
2e :10 a0 12a a0 b7 a0 f 7e
51 b4 2e a0 7e 51 b4 2e
6e 7e 6e b4 2e 7e :3 a0 6b
a5 b b4 2e 7e 6e b4 2e
7e :3 a0 6b a5 b b4 2e 7e
6e b4 2e 7e :3 a0 6b a5 b
b4 2e a5 57 b7 :2 19 3c a0
b7 :2 a0 6b 7e 51 7e 51 b4
2e 7e 51 b4 2e 7e 51 b4
2e b4 2e :8 a0 12a a0 7e 51
b4 2e :10 a0 12a b7 :9 a0 12a a0
7e 51 b4 2e :c a0 12a b7 :16 a0
12a a0 f 7e 51 b4 2e a0
7e 51 b4 2e 6e 7e 6e b4
2e 7e :3 a0 6b a5 b b4 2e
7e 6e b4 2e 7e :3 a0 6b a5
b b4 2e 7e 6e b4 2e 7e
:3 a0 6b a5 b b4 2e a5 57
b7 19 3c b7 :2 19 3c b7 :2 19
3c b7 19 a0 7e 51 b4 2e
6e 7e :3 a0 6b a5 b b4 2e
7e 6e b4 2e a5 57 b7 :2 19
3c b7 :2 19 3c b7 a0 47 b7
a4 b1 11 68 4f b1 b7 a4
11 b1 56 4f 1d 17 b5 
39d
2
0 3 7 b 15 31 2d 2c
39 29 3e 42 46 62 5e 5d
6a 5a 6f 73 8c 7b 7f 87
7a 93 97 9b 9f a3 a7 ab
b7 bb bf c3 c7 77 d3 d7
db df e0 e5 e7 e8 ed f1
f5 f7 103 107 109 125 121 120
12d 11d 132 136 14f 13e 142 14a
13d 156 15a 15e 162 166 16a 16e
172 176 17a 17e 182 186 18a 18e
192 196 19a 19e 1a2 1a6 1aa 1ae
1b2 1b6 1ba 1be 1ca 1ce 1d2 1d6
1da 1de 1e2 1e6 1ea 1ee 1f2 1f6
1fa 1fe 202 206 20a 20e 212 216
21a 21e 222 226 22a 22e 232 236
23a 23e 242 246 24a 24e 252 25e
262 266 26a 26e 272 276 27a 27e
282 286 28a 28e 292 296 29a 29e
2a2 2a6 2aa 2ae 2b2 2b6 2ba 2be
2c2 2c6 2ca 2ce 2d2 2d6 2da 2de
2e2 2e6 2ea 2ee 2f2 2f6 2fa 2fe
302 306 30a 30e 312 316 31a 31e
322 326 32a 32e 332 336 33a 33e
342 346 34a 34e 352 356 35a 35e
362 366 36a 36e 372 376 37a 37e
382 386 38a 38e 392 396 39a 39e
3a2 3a6 3b2 3b6 3ba 3be 3c2 3c6
3ca 3ce 3d2 3d6 3da 3de 3e2 3e6
3ea 3ee 3f2 3f6 3fa 3fe 402 406
40a 40e 412 416 41a 41e 422 426
42a 42e 432 436 43a 43e 442 446
44a 44e 452 456 45a 45e 462 466
46a 46e 47a 47e 482 486 48a 48e
492 496 49a 49e 4a2 4a6 4aa 4ae
4b2 4b6 4ba 4be 4c2 4c6 4ca 4ce
4d2 4d6 4da 4de 4e2 4e6 4f2 4f6
4fa 4fe 502 506 50a 50e 512 516
51a 51e 522 526 52a 52e 532 536
53a 53e 542 546 54a 54e 552 556
55a 55e 562 566 56a 56e 572 576
57a 57e 582 586 58a 58e 592 596
59a 59e 5a2 5a6 5aa 5ae 5b2 5b6
5ba 5be 5c2 5c6 5ca 5ce 5d2 13a
5de 5e2 5e6 5e8 5f4 5f8 5fa 5fe
61a 616 615 622 612 627 62b 62f
633 64c 63b 63f 647 63a 653 657
65b 65f 663 667 66b 66f 673 677
683 687 68b 637 68f 693 697 699
6a5 6a9 6ab 6c7 6c3 6c2 6cf 6bf
6d4 6d8 6dc 6e0 6f9 6f5 6f4 701
6f1 706 709 70d 711 715 719 725
72a 72c 738 73c 73e 742 75b 757
756 763 753 768 76b 76f 773 777
77b 77f 783 787 78b 78f 793 797
79b 79f 7a3 7a7 7ab 7af 7b3 7b7
7c3 7c8 7ca 7d6 7da 7f2 7e0 7e4
7ec 7ed 7df 7f9 7fd 801 7dc 805
807 80b 80d 811 81d 821 825 829
82d 831 835 839 83d 841 845 849
84d 851 855 859 85d 861 865 871
875 879 87d 881 885 889 88d 891
895 899 89d 8a1 8a5 8a9 8ad 8b1
8b5 8b9 8bd 8c1 8c5 8c9 8cd 8d1
8d5 8d9 8dd 8e1 8e5 8e9 8ed 8f9
8fd 901 904 907 90a 90b 910 913
917 91b 91f 923 927 92b 92f 933
937 93b 93f 943 94f 951 955 958
95a 95e 965 969 96d 971 972 974
978 97a 97e 982 985 988 98b 98e
991 992 997 99a 99d 99e 9a3 9a4
9a9 9ad 9b1 9b4 9b7 9ba 9bb 1
9c0 9c5 9c9 9cd 9d1 9d5 9d9 9dd
9e1 9e5 9e9 9ed 9f1 9f5 9f9 9fd
a01 a05 a11 a13 a17 a1b a1e a21
a24 a27 a2a a2b a30 a33 a36 a37
a3c a3d a42 a46 a4a a4e a52 a56
a5a a5e a62 a66 a6a a6e a72 a76
a7a a7e a82 a86 a8a a8e a92 a96
aa2 aa6 aab aae ab1 ab2 ab7 abb
abf ac3 ac7 acb acf ad3 ad7 adb
adf ae3 ae7 aeb aef af3 af7 b03
b07 b09 b0d b12 b15 b18 b19 b1e
b22 b25 b28 b29 b2e b33 b36 b3b
b3c b41 b44 b48 b4c b50 b53 b54
b56 b57 b5c b5f b64 b65 b6a b6d
b71 b75 b79 b7c b7d b7f b80 b85
b88 b8d b8e b93 b96 b9a b9e ba2
ba5 ba6 ba8 ba9 bae baf bb4 bb6
bba bbe bc1 bc5 bc7 bcb bcf bd2
bd5 bd8 bdb bde bdf be4 be7 bea
beb bf0 bf3 bf6 bf7 bfc bfd c02
c06 c0a c0e c12 c16 c1a c1e c22
c2e c32 c35 c38 c39 c3e c42 c46
c4a c4e c52 c56 c5a c5e c62 c66
c6a c6e c72 c76 c7a c7e c8a c8c
c90 c94 c98 c9c ca0 ca4 ca8 cac
cb0 cbc cc0 cc3 cc6 cc7 ccc cd0
cd4 cd8 cdc ce0 ce4 ce8 cec cf0
cf4 cf8 cfc d08 d0a d0e d12 d16
d1a d1e d22 d26 d2a d2e d32 d36
d3a d3e d42 d46 d4a d4e d52 d56
d5a d5e d62 d6e d72 d77 d7a d7d
d7e d83 d87 d8a d8d d8e d93 d98
d9b da0 da1 da6 da9 dad db1 db5
db8 db9 dbb dbc dc1 dc4 dc9 dca
dcf dd2 dd6 dda dde de1 de2 de4
de5 dea ded df2 df3 df8 dfb dff
e03 e07 e0a e0b e0d e0e e13 e14
e19 e1b e1f e22 e24 e28 e2c e2f
e31 e35 e39 e3c e3e e42 e46 e49
e4c e4d e52 e57 e5a e5e e62 e66
e69 e6a e6c e6d e72 e75 e7a e7b
e80 e81 e86 e88 e8c e90 e93 e95
e99 e9d ea0 ea2 ea6 ead eaf eb3
eb5 ec1 ec5 ec7 ec9 ecb ecf edb
edd ee0 ee2 ee3 eec 
39d
2
0 1 9 1 b 1c 27 :2 1c
1b :2 1 b 1e 29 :2 1e 1d :2 1
2 :3 b 2 9 15 :2 9 10 9
2 e 9 10 9 2 1 8
5 16 :2 5 16 :2 3 1 5 :4 1
b 1c 27 :2 1c 1b :3 1 :3 12 1
f 1b 24 2c c 1e 27 30
34 d c 1d 1b 33 3c d
18 21 d 12 17 22 d 11
1c 21 3 e 19 1d 2d 19
2a b 14 20 28 34 b 15
1b 2c 10 1c 29 34 11 1c
25 f 1a 25 31 f 1b 26
30 f 20 28 34 2 f :3 8
f 18 22 8 14 1d 22 2f
8 19 2a 8 f 1a 23 2a
32 8 13 22 :2 8 c 10 1f
8 b 12 15 1e 28 2b 8
b 17 20 26 33 8 19 2a
8 f 1b 1e 28 31 39 3c
8 c 17 1b 2a 2e a 17
a 16 a 16 a 15 a e
15 a e 15 1a a f 1d
20 a e 1d 21 3 f 7
f 16 1f 24 7 f 1d 26
7 f 1e 26 7 a 12 16
1d 21 2a 2e 33 37 8 10
1e 22 2b 2f 8 10 14 18
20 24 a 16 1b 2d a e
11 14 a d 14 3 f 5
e 12 1c 27 a d 16 1b
1f 24 a f 1a 1f a 1e
24 36 a f 17 1a a d
14 3 f 8 11 1f 29 33
8 19 26 32 8 16 8 15
24 7 a 13 21 2b 35 8
19 26 32 8 16 8 15 24
29 a 17 1d 2f a f 1e
21 a d 14 a f 19 20
23 38 3d a f 1f 26 29
3e 43 3 :2 1 5 :5 1 a 18
21 :2 18 17 1 8 :2 1 3 :3 f
3 11 1d 26 d 1f 28 5
f 1c :2 5 c 5 :2 1 5 :4 1
b 1d 27 :2 1d 1c :2 1 3 a
12 1b :2 12 11 :2 3 15 e 15
7 :6 3 a 1b 22 :2 1b 1a :2 3
e 17 1f e 12 20 e 12
1b 24 2a 33 :2 e 15 11 1a
22 7 :6 3 :2 d 1c d 3 7
10 18 :2 10 20 3 13 7 13
17 e 20 24 36 e 11 1b
21 e 11 1b 20 e 11 16
1b 7 13 9 11 1a 28 36
17 1d 25 2b 34 3a 3e 43
e 12 1b 22 27 e 1e 22
2f e 11 20 25 e 11 :2 16
7 b :2 11 1f 21 :2 1f 9 15
d 15 1e 2c 3a d 13 1b
21 2a 30 9 25 :2 6 20 7
3 7 15 26 :2 15 2e 3 a
:2 15 1d 1f 21 22 :2 1f 24 25
:2 1f :2 1d d :2 18 1f 21 :2 1f :2 a
17 c 15 1d 2b 39 c 17
20 2b 33 3e c 17 25 30
b 23 d :2 18 20 22 24 25
:2 22 27 28 :2 22 :2 20 19 f 18
20 2e 3c 14 1d 25 14 18
27 2b :2 14 1c 27 14 17 20
28 d 14 10 1d 1f :2 1d 1c
12 1b 23 31 3f 12 1d 26
31 39 44 12 1d 2b 36 10
d 21 17 13 20 22 :2 20 10
28 29 :2 28 :2 14 16 :2 14 1f 21
29 :2 34 :2 21 :2 14 3b 3d :3 14 16
1e :2 29 :2 16 :2 14 31 33 :3 14 16
1e :2 29 :2 16 :2 14 :2 10 24 21 :2 d
a 2b 10 :2 1b 23 25 26 27
:2 25 29 2a :2 25 2c 2d :2 25 :2 23
14 1a 2d :2 14 1c 27 14 d
10 15 17 :2 15 1c 12 1b 23
31 3f 12 1d 26 31 39 44
12 1d 2b 36 10 19 18 1e
31 :2 18 20 2b :2 18 11 14 19
1a :2 19 20 16 1f 27 35 43
16 21 2a 35 3d 48 14 1c
20 16 1f 27 35 43 1b 24
2c 1b 1f 2e 32 :2 1b 23 2e
:2 1b 1e 27 2f 14 1b 17 24
26 :2 24 17 2f 30 :2 2f :2 18 1a
:2 18 23 25 2d :2 38 :2 25 :2 18 3f
41 :3 18 1a 22 :2 2d :2 1a :2 18 35
37 :3 18 1a 22 :2 2d :2 1a :2 18 :2 17
28 :2 14 :4 11 :4 d 30 2b e 26
27 :2 26 2e 11 13 1b :2 26 :2 13
:3 2e 30 :2 2e :2 e :4 a :4 7 2e 7
3 :10 1 
39d
4
0 :2 1 13 :8 15
:8 17 :5 19 :2 1b 1c
:2 1d 1e 1b 21
:2 22 23 21 1a
26 :4 27 :3 26 25
28 :4 17 :8 2a :5 2c
:4 35 :5 36 37 :2 38
:3 39 :3 3a :4 3b :4 3c
35 :4 3e :2 3f :5 40
:4 41 :4 42 :3 43 :4 44
:4 45 :4 46 3e 48
49 4a :4 4b :5 4c
:3 4d :6 4e :3 4f 52
:4 53 :7 54 :6 55 :3 56
:8 57 :6 58 :2 59 :2 5a
:2 5b :2 5c :3 5d :4 5e
:4 5f :4 60 48 62
:5 63 :4 64 :4 65 :a 68
:6 69 :6 6a :4 6b :4 6c
:3 6d 62 6f :5 70
:6 72 :4 73 :4 74 :4 75
:3 76 6f 79 :5 7a
:4 7b :2 7c :3 7d :6 80
:4 81 :2 82 :4 83 :4 84
:4 85 :3 86 :7 87 :7 88
79 :2 2d 8a :4 2a
:7 8c :2 8d :2 8c :5 8f
:3 99 :3 9a :3 9b 99
:3 9d :2 90 9e :4 8c
:8 a0 :9 a2 a4 :2 a5
a4 :5 a2 :9 a7 :3 a9
:3 aa :6 ab ac :2 ad
:3 ae a9 :5 a7 :6 b0
:7 b2 :2 b4 b7 b8
:4 b9 :4 ba :4 bb :4 bc
b7 bf :5 c0 :8 c1
:5 c2 :4 c5 :4 c6 :2 c7
c8 c9 bf :8 cd
ce :5 cf :6 d1 ce
:3 cd b2 d4 b2
:7 d6 :f de :7 df :2 de
e0 :5 e1 :6 e3 :4 e4
e0 df :f e7 e8
:5 e9 :3 ea :4 eb ec
:3 ed ee :3 ef e8
:6 f2 f3 :5 f4 :6 f6
:4 f7 f3 f9 f2
:6 f9 :5 fa fb :2 fc
:2 fb :7 fc :2 fb :2 fc
:2 fb :7 fd :2 fb :2 fd
:2 fb :7 fe :2 fb :2 fa
f9 :3 f2 101 e7
:13 101 :3 102 103 :3 104
105 102 :5 107 108
:5 109 :6 10b :4 10c 108
107 :3 10e 10f :3 110
111 112 10e :5 114
115 :5 116 :6 118 115
114 11c :5 11d :3 11e
:4 11f 120 :3 121 122
123 :3 124 11c :6 125
:5 126 127 :2 128 :2 127
:7 128 :2 127 :2 128 :2 127
:7 129 :2 127 :2 129 :2 127
:7 12a :2 127 :2 126 :3 125
11b :3 114 10d :3 107
101 e7 :6 131 :7 132
:2 131 :2 132 :4 131 130
:3 e7 e5 :3 de d6
136 d6 :2 b1 :4 a0
:4 17 :6 1 
eee
4
:3 0 1 :3 0 2
:3 0 3 :6 0 1
:2 0 4 :a 0 b
2 :7 0 5 :2 0
3 6 :3 0 5
:7 0 7 6 :3 0
9 :2 0 b 4
a 0 397 7
:a 0 32 3 :7 0
9 :2 0 7 6
:3 0 5 :7 0 f
e :3 0 11 :2 0
32 c 12 :2 0
d 31 0 b
6 :3 0 15 :7 0
18 16 0 30
0 8 :6 0 9
:3 0 8 :3 0 a
:3 0 9 :3 0 5
:3 0 b :4 0 c
1 :8 0 25 a
:3 0 9 :3 0 5
:3 0 d :4 0 e
1 :8 0 25 f
:3 0 4 :3 0 5
:3 0 10 27 29
:2 0 2b 12 2d
14 2c 2b :2 0
2e 16 :2 0 31
7 :3 0 18 31
30 25 2e :6 0
32 1 0 c
12 31 397 :2 0
4 :a 0 15c 4
:7 0 1c :2 0 1a
6 :3 0 5 :7 0
37 36 :3 0 39
:2 0 15c 34 3a
:2 0 20 15b 0
1e 6 :3 0 3d
:7 0 40 3e 0
15a 0 10 :6 0
a :3 0 11 :3 0
9 :3 0 d :3 0
12 :3 0 13 :3 0
5 :3 0 14 :3 0
15 :3 0 16 :3 0
17 :3 0 18 :3 0
19 :3 0 1a :3 0
14 :3 0 16 :3 0
9 :3 0 5 :3 0
18 :3 0 1b :3 0
16 :3 0 1c :3 0
14 :3 0 1d :3 0
18 :3 0 1e :4 0
1f 1 :8 0 157
20 :3 0 1b :3 0
21 :3 0 22 :3 0
23 :3 0 24 :3 0
5 :3 0 25 :3 0
26 :3 0 25 :3 0
27 :3 0 28 :3 0
27 :3 0 29 :3 0
24 :3 0 16 :3 0
25 :3 0 28 :3 0
29 :3 0 16 :3 0
9 :3 0 5 :3 0
16 :3 0 2a :3 0
25 :3 0 2b :3 0
25 :3 0 1d :3 0
28 :3 0 1b :3 0
29 :3 0 1b :3 0
25 :3 0 2c :4 0
2d 1 :8 0 157
2e :3 0 1b :3 0
2f :3 0 26 :3 0
30 :3 0 31 :3 0
27 :3 0 32 :3 0
33 :3 0 34 :3 0
35 :3 0 36 :3 0
37 :3 0 38 :3 0
39 :3 0 3a :3 0
3b :3 0 3c :3 0
9 :3 0 11 :3 0
3d :3 0 3e :3 0
3f :3 0 40 :3 0
1b :3 0 41 :3 0
42 :3 0 43 :3 0
2f :3 0 44 :3 0
26 :3 0 44 :3 0
30 :3 0 31 :3 0
44 :3 0 27 :3 0
44 :3 0 32 :3 0
33 :3 0 34 :3 0
35 :3 0 36 :3 0
37 :3 0 38 :3 0
39 :3 0 3a :3 0
3b :3 0 44 :3 0
3c :3 0 5 :3 0
11 :3 0 44 :3 0
3d :3 0 42 :3 0
3e :3 0 42 :3 0
3f :3 0 42 :3 0
40 :3 0 45 :3 0
44 :3 0 25 :3 0
42 :3 0 a :3 0
46 :3 0 16 :3 0
47 :3 0 47 :3 0
9 :3 0 5 :3 0
47 :3 0 9 :3 0
46 :3 0 9 :3 0
46 :3 0 d :3 0
44 :3 0 1b :3 0
42 :3 0 2b :3 0
47 :3 0 2a :4 0
48 1 :8 0 157
49 :3 0 11 :3 0
26 :3 0 30 :3 0
27 :3 0 32 :3 0
4a :3 0 4b :3 0
33 :3 0 34 :3 0
4c :3 0 4d :3 0
4e :3 0 3d :3 0
44 :3 0 11 :3 0
4f :3 0 26 :3 0
4f :3 0 30 :3 0
4f :3 0 27 :3 0
4f :3 0 32 :3 0
4a :3 0 4b :3 0
4f :3 0 33 :3 0
4f :3 0 34 :3 0
4c :3 0 4f :3 0
1b :3 0 4e :3 0
4f :3 0 3d :3 0
50 :3 0 4f :3 0
2e :3 0 44 :3 0
4f :3 0 1b :3 0
44 :3 0 35 :3 0
44 :3 0 9 :3 0
5 :4 0 51 1
:8 0 157 52 :3 0
11 :3 0 1b :3 0
53 :3 0 54 :3 0
55 :3 0 44 :3 0
11 :3 0 56 :3 0
1b :3 0 56 :3 0
53 :3 0 56 :3 0
54 :3 0 56 :3 0
55 :3 0 57 :3 0
56 :3 0 2e :3 0
44 :3 0 56 :3 0
55 :3 0 44 :3 0
1b :3 0 44 :3 0
9 :3 0 5 :4 0
58 1 :8 0 157
59 :3 0 11 :3 0
5a :3 0 5b :3 0
53 :3 0 5c :3 0
5d :3 0 5e :3 0
5f :3 0 60 :3 0
61 :3 0 62 :3 0
63 :3 0 64 :3 0
3d :3 0 44 :3 0
11 :3 0 5a :3 0
5b :3 0 53 :3 0
5c :3 0 5d :3 0
5e :3 0 5f :3 0
60 :3 0 61 :3 0
62 :3 0 63 :3 0
64 :3 0 65 :3 0
3d :3 0 66 :3 0
65 :3 0 2e :3 0
44 :3 0 65 :3 0
5a :3 0 44 :3 0
1b :3 0 44 :3 0
9 :3 0 5 :3 0
65 :3 0 1a :3 0
67 :3 0 44 :3 0
36 :3 0 65 :3 0
1a :3 0 65 :3 0
68 :3 0 67 :3 0
44 :3 0 36 :3 0
65 :3 0 68 :4 0
69 1 :8 0 157
:3 0 15b 4 :3 0
27 15b 15a 157
158 :6 0 15c 1
0 34 3a 15b
397 :2 0 6a :3 0
6b :a 0 180 5
:7 0 2b :2 0 29
6 :3 0 6c :7 0
162 161 :3 0 6d
:3 0 6 :3 0 164
166 0 180 15f
167 :2 0 2f 17f
0 2d 6 :3 0
16a :7 0 16d 16b
0 17e 0 6e
:6 0 a :3 0 11
:3 0 9 :3 0 12
:3 0 13 :3 0 6c
:3 0 6f :3 0 11
:3 0 6e :4 0 70
1 :8 0 17b 6d
:3 0 6e :3 0 179
:2 0 17b :3 0 17f
6b :3 0 32 17f
17e 17b 17c :6 0
180 1 0 15f
167 17f 397 :2 0
71 :a 0 391 6
:7 0 36 :2 0 34
73 :3 0 72 :7 0
185 184 :3 0 187
:2 0 391 182 188
:2 0 74 :3 0 75
:a 0 7 197 :4 0
3a :2 0 38 73
:3 0 72 :7 0 18e
18d :3 0 18b 192
0 190 :3 0 2e
:3 0 9 :3 0 72
:4 0 76 1 :8 0
198 18b 192 199
0 38f 3c 199
19b 198 19a :6 0
197 1 :6 0 199
74 :3 0 77 :a 0
8 1b8 :4 0 40
:2 0 3e 73 :3 0
72 :7 0 1a0 19f
:3 0 19d 1a4 0
1a2 :3 0 11 :3 0
9 :3 0 5a :3 0
78 :3 0 79 :3 0
79 :3 0 78 :3 0
7a :3 0 7a :3 0
7b :3 0 11 :3 0
7c :3 0 7d :3 0
9 :3 0 72 :3 0
11 :3 0 9 :3 0
5a :4 0 7e 1
:8 0 1b9 19d 1a4
1ba 0 38f 42
1ba 1bc 1b9 1bb
:6 0 1b8 1 :6 0
1ba 46 :2 0 44
80 :3 0 1be :8 0
1c2 1bf 1c0 38f
0 7f :6 0 81
:3 0 75 :3 0 72
:3 0 1c4 1c6 82
:3 0 1c3 1c7 83
:4 0 84 1 :8 0
217 83 :3 0 5b
:3 0 2e :3 0 44
:3 0 59 :3 0 65
:3 0 44 :3 0 11
:3 0 81 :3 0 11
:3 0 44 :3 0 11
:3 0 65 :3 0 11
:3 0 44 :3 0 1b
:3 0 65 :3 0 5a
:4 0 85 1 :8 0
217 7d :3 0 9
:3 0 11 :3 0 5a
:3 0 79 :3 0 7a
:3 0 81 :3 0 9
:3 0 81 :3 0 11
:3 0 81 :3 0 1b
:3 0 86 :3 0 79
:3 0 41 :3 0 7a
:3 0 67 :3 0 86
:3 0 79 :3 0 87
:3 0 88 :3 0 89
:3 0 86 :3 0 88
:3 0 79 :3 0 86
:3 0 79 :3 0 88
:3 0 8a :3 0 8a
:3 0 8b :4 0 8c
1 :8 0 217 81
:3 0 36 :3 0 1ff
200 0 8d :2 0
8e :2 0 4a 202
204 :3 0 205 :2 0
7d :3 0 9 :3 0
11 :3 0 5a :3 0
79 :3 0 7a :3 0
81 :3 0 9 :3 0
81 :3 0 11 :3 0
81 :3 0 1b :4 0
8f 1 :8 0 214
4d 215 206 214
0 216 4f 0
217 51 219 82
:3 0 1c9 217 :4 0
38d 90 :3 0 77
:3 0 72 :3 0 56
21b 21d 82 :3 0
21a 21e 90 :3 0
7a :3 0 221 222
0 91 :2 0 92
:2 0 93 :2 0 94
:2 0 58 226 228
:3 0 93 :2 0 94
:2 0 5b 22a 22c
:3 0 60 224 22e
:3 0 90 :3 0 7c
:3 0 230 231 0
8d :2 0 95 :2 0
65 233 235 :3 0
22f 237 236 :2 0
96 :3 0 11 :3 0
9 :3 0 5a :3 0
79 :3 0 7a :3 0
90 :3 0 11 :3 0
90 :3 0 9 :3 0
90 :3 0 5a :3 0
90 :3 0 79 :3 0
90 :3 0 7a :4 0
97 1 :8 0 24a
68 387 90 :3 0
7a :3 0 24b 24c
0 8d :2 0 92
:2 0 93 :2 0 94
:2 0 6a 250 252
:3 0 93 :2 0 94
:2 0 6d 254 256
:3 0 72 24e 258
:3 0 96 :3 0 11
:3 0 9 :3 0 5a
:3 0 79 :3 0 7a
:3 0 11 :3 0 9
:3 0 5a :3 0 78
:3 0 79 :3 0 78
:3 0 7a :3 0 7d
:3 0 11 :3 0 90
:3 0 11 :3 0 7a
:3 0 11 :3 0 9
:3 0 5a :4 0 98
1 :8 0 2c3 99
:4 0 270 :3 0 91
:2 0 95 :2 0 77
272 274 :3 0 96
:3 0 11 :3 0 9
:3 0 5a :3 0 79
:3 0 7a :3 0 90
:3 0 11 :3 0 90
:3 0 9 :3 0 90
:3 0 5a :3 0 90
:3 0 79 :3 0 90
:3 0 7a :4 0 9a
1 :8 0 288 9b
:3 0 7a 2c0 99
:4 0 289 :3 0 9c
:2 0 95 :2 0 7e
28b 28d :3 0 9d
:3 0 9e :2 0 9f
:2 0 81 290 292
:3 0 a0 :4 0 a1
:2 0 a2 :4 0 83
295 297 :3 0 a1
:2 0 a3 :3 0 90
:3 0 9 :3 0 29b
29c 0 86 29a
29e 88 299 2a0
:3 0 a1 :2 0 a4
:4 0 8b 2a2 2a4
:3 0 a1 :2 0 a3
:3 0 90 :3 0 11
:3 0 2a8 2a9 0
8e 2a7 2ab 90
2a6 2ad :3 0 a1
:2 0 a5 :4 0 93
2af 2b1 :3 0 a1
:2 0 a3 :3 0 90
:3 0 5a :3 0 2b5
2b6 0 96 2b4
2b8 98 2b3 2ba
:3 0 9b 28f 2bc
:2 0 2be 9e 2bf
28e 2be 0 2c1
275 288 0 2c1
a0 0 2c3 9b
:3 0 a3 383 90
:3 0 7a :3 0 2c4
2c5 0 8d :2 0
a6 :2 0 93 :2 0
92 :2 0 a6 2c9
2cb :3 0 93 :2 0
94 :2 0 a9 2cd
2cf :3 0 93 :2 0
94 :2 0 ac 2d1
2d3 :3 0 b1 2c7
2d5 :3 0 7b :3 0
79 :3 0 7f :3 0
7d :3 0 11 :3 0
90 :3 0 11 :3 0
7a :4 0 a7 1
:8 0 36b 7f :3 0
8d :2 0 a8 :2 0
b6 2e1 2e3 :3 0
96 :3 0 11 :3 0
9 :3 0 5a :3 0
79 :3 0 7a :3 0
90 :3 0 11 :3 0
90 :3 0 9 :3 0
90 :3 0 5a :3 0
90 :3 0 79 :3 0
90 :3 0 7a :4 0
9a 1 :8 0 2f6
b9 368 7b :3 0
79 :3 0 7f :3 0
7d :3 0 11 :3 0
90 :3 0 11 :3 0
7a :3 0 7a :4 0
a9 1 :8 0 367
7f :3 0 8d :2 0
a8 :2 0 bd 302
304 :3 0 96 :3 0
11 :3 0 9 :3 0
5a :3 0 79 :3 0
7a :3 0 90 :3 0
11 :3 0 90 :3 0
9 :3 0 90 :3 0
5a :4 0 aa 1
:8 0 313 c0 364
96 :3 0 11 :3 0
9 :3 0 5a :3 0
79 :3 0 7a :3 0
11 :3 0 9 :3 0
5a :3 0 78 :3 0
79 :3 0 78 :3 0
7a :3 0 7d :3 0
11 :3 0 90 :3 0
11 :3 0 7a :3 0
7a :3 0 11 :3 0
9 :3 0 5a :4 0
ab 1 :8 0 363
99 :4 0 32b :3 0
9c :2 0 95 :2 0
c4 32d 32f :3 0
9d :3 0 9e :2 0
9f :2 0 c7 332
334 :3 0 a0 :4 0
a1 :2 0 a2 :4 0
c9 337 339 :3 0
a1 :2 0 a3 :3 0
90 :3 0 9 :3 0
33d 33e 0 cc
33c 340 ce 33b
342 :3 0 a1 :2 0
a4 :4 0 d1 344
346 :3 0 a1 :2 0
a3 :3 0 90 :3 0
11 :3 0 34a 34b
0 d4 349 34d
d6 348 34f :3 0
a1 :2 0 a5 :4 0
d9 351 353 :3 0
a1 :2 0 a3 :3 0
90 :3 0 5a :3 0
357 358 0 dc
356 35a de 355
35c :3 0 e1 331
35e :2 0 360 e4
361 330 360 0
362 e6 0 363
e8 365 305 313
0 366 0 363
0 366 eb 0
367 ee 369 2e4
2f6 0 36a 0
367 0 36a f1
0 36b f4 36c
2d6 36b 0 385
9d :3 0 9e :2 0
9f :2 0 f7 36e
370 :3 0 ac :4 0
a1 :2 0 a3 :3 0
90 :3 0 7a :3 0
375 376 0 f9
374 378 fb 373
37a :3 0 a1 :2 0
ad :4 0 fe 37c
37e :3 0 101 36d
380 :2 0 382 104
384 259 2c3 0
385 0 382 0
385 106 0 386
10a 388 238 24a
0 389 0 386
0 389 10c 0
38a 10f 38c 82
:3 0 220 38a :4 0
38d 111 390 :3 0
390 114 390 38f
38d 38e :6 0 391
1 0 182 188
390 397 :3 0 396
0 396 :3 0 396
397 394 395 :6 0
398 :2 0 118 0
3 396 39b :3 0
39a 398 39c :8 0

11e
4
:3 0 1 5 1
8 1 d 1
10 1 14 2
1f 24 1 28
1 2a 1 26
1 2d 1 17
1 35 1 38
1 3c 6 5b
7e d1 101 11d
156 1 3f 1
160 1 163 1
169 2 177 17a
1 16c 1 183
1 186 1 18c
1 18f 1 196
1 19e 1 1a1
1 1b7 1 1bd
1 1c5 1 203
2 201 203 1
213 1 215 4
1cb 1de 1fe 216
1 21c 2 225
227 2 229 22b
1 22d 2 223
22d 1 234 2
232 234 1 249
2 24f 251 2
253 255 1 257
2 24d 257 1
273 2 271 273
1 286 1 28c
2 28a 28c 1
291 2 294 296
1 29d 2 298
29f 2 2a1 2a3
1 2aa 2 2a5
2ac 2 2ae 2b0
1 2b7 2 2b2
2b9 2 293 2bb
1 2bd 2 2c0
2bf 2 26f 2c1
2 2c8 2ca 2
2cc 2ce 2 2d0
2d2 1 2d4 2
2c6 2d4 1 2e2
2 2e0 2e2 1
2f5 1 303 2
301 303 1 312
1 32e 2 32c
32e 1 333 2
336 338 1 33f
2 33a 341 2
343 345 1 34c
2 347 34e 2
350 352 1 359
2 354 35b 2
335 35d 1 35f
1 361 2 32a
362 2 364 365
2 300 366 2
368 369 2 2df
36a 1 36f 1
377 2 372 379
2 37b 37d 2
371 37f 1 381
3 383 36c 384
1 385 2 387
388 1 389 2
219 38c 3 197
1b8 1c1 5 b
32 15c 180 391

1
4
0 
39b
0
1
14
a
15
0 1 1 1 1 1 6 6
6 6 0 0 0 0 0 0
0 0 0 0 
21a a 0
3c 4 0
14 3 0
19e 8 0
18c 7 0
183 6 0
35 4 0
d 3 0
5 2 0
c 1 3
34 1 4
4 1 2
182 1 6
169 5 0
18b 6 7
1c3 9 0
15f 1 5
160 5 0
1bd 6 0
3 0 1
19d 6 8
0

/
show error PACKAGE BODY sa_snap
