-- -------------------------------------
-- (#) ./base/db/Oracle8i/utility/drop_exp_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- -------------------------------------
--

declare

   NO_TABLE    EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_TABLE,    -00942);

   NO_INDEX    EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_INDEX,    -01418);

   NO_OBJECT   EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_OBJECT,   -04043);

   NO_SEQUENCE EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_SEQUENCE, -02289);

   type TABTYPE is table of varchar2(64);
   obj TABTYPE := TABTYPE( 'PACKAGE export'
                         , 'TABLE exp_ind_columns_tmp'
                         , 'TABLE exp_tab_def'
                         , 'TABLE exp_tab_rel'
                         , 'TABLE exp_tab_columns'
                         , 'TABLE exp_def_tmp'
                         , 'TABLE exp_dest_tmp'
                         , 'TABLE exp_key_trans_tmp'
                         , 'INDEX unq_pm_cfgtpl'
                         , 'PROCEDURE exp_log_proc'
                         , 'TABLE exp_proc_log'
                         , 'SEQUENCE exp_proc_log_seq'
                         );

   v_SQL varchar2(100);

begin

   for i in obj.first..obj.last
   loop

      begin
      
         v_SQL := 'DROP ' || obj(i);
         execute immediate v_SQL;

      exception
         when NO_TABLE or NO_INDEX or NO_OBJECT or NO_SEQUENCE
         then
             NULL;
      end;

   end loop;

end;
/
