CREATE OR REPLACE AND COMPILE JAVA SOURCE NAMED "StrTokenize" AS    
      import java.util.Vector;     
      import java.util.StringTokenizer;              
public class StrTokenize {           
   public static String tokenize(String str, String delim, int indx) {
      StringTokenizer st = new StringTokenizer(str, delim);        
      if ((indx > st.countTokens()) || (indx <= 0)) {
         return null;
      }
      Vector vt = new Vector();               
      while (st.hasMoreTokens()) {
         String sVal = st.nextToken();
         vt.addElement(new String(sVal));
      }        
      // Use - 1 as first element in a vector is 0        
      return vt.elementAt(indx - 1).toString();
   }
} 
/
CREATE OR REPLACE FUNCTION Tokenize wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
8
9200000
1
4
0 
c
2 :e:
1FUNCTION:
1TOKENIZE:
1INPUT_STR_:
1VARCHAR2:
1DELIMITER_:
1INDEX_:
1NUMBER:
1RETURN:
1LANGUAGE:
1JAVA:
1NAME:
1StrTokenize.tokenize(java.lang.String, java.lang.String, int) return java.lan+
1g.String:
0

0
0
1d
2
0 a0 8d 8f a0 b0 3d 8f
a0 b0 3d 8f a0 b0 3d b4
:2 a0 2c 6a :3 a0 6e fe 68 1d
17 b5 
1d
2
0 3 7 23 1f 1e 2b 38
34 1b 40 49 45 33 51 30
56 5a 5e 62 66 6a 6e 72
77 84 88 89 92 
1d
2
0 1 a 6 18 :3 6 18 :3 6
18 :2 6 13 1 8 :3 1 a :3 10
:4 1 
1d
4
0 :2 1 :4 2 :4 3
:4 4 1 :2 6 :2 1
:5 7 :4 1 
94
4
:3 0 1 :3 0 2
:a 0 19 1 :7 0
5 30 0 3
4 :3 0 3 :7 0
5 4 :3 0 9
:2 0 7 4 :3 0
5 :7 0 9 8
:3 0 7 :3 0 6
:7 0 d c :3 0
8 :3 0 4 :3 0
f 11 0 19
2 12 :2 0 9
:3 0 a :3 0 b
:3 0 c :4 0 17
:3 0 3 0 1000
19 :5 0 2 12
18 1b 0 1a
19 1c :8 0 
d
4
:3 0 1 3 1
7 1 b 3
6 a e 
1
4
0 
1b
0
1
14
1
4
0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
7 1 0
b 1 0
2 0 1
3 1 0
0

/
SHOW ERRORS
