---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2010. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/upgrade_pack_body.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

PROMPT START upgrade_pack_body.sql

-- Jloader Start

PROMPT
PROMPT Updating wm_sysval_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/wmlib/wm_sysval_pkgb.sql

PROMPT 
PROMPT Updating jloader_pdo_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/jloader/jloader_pdo_pkgb.sql

PROMPT 
PROMPT Updating wml_load...
@ $FLEXPM_HOME/db/Oracle8i/load/wml_load.sql

-- Jloader End

-- Start Soft alarm/Busy hour export/import
PROMPT
PROMPT Updating exp_scenario_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/export2/exp_scenario_pkgb.sql

PROMPT
PROMPT Updating export2_custom_data_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/export2/export2_custom_data_pkgb.sql

PROMPT
PROMPT Updating export2_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/export2/export2_pkgb.sql
-- End Soft alarm/Busy hour export/import



-- Start 8.0.6 patches
PROMPT
PROMPT Updating BH_Clean...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_Clean.sql
PROMPT
PROMPT Updating BH_create_vbh...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_create_vbh.sql
PROMPT
PROMPT Updating BH_Lib...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_Lib.sql
PROMPT
PROMPT Updating BH_Update...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_Update.sql
PROMPT
PROMPT Updating CreateBHTab...
@ $FLEXPM_HOME/db/Oracle8i/bh/CreateBHTab.sql

PROMPT
PROMPT Updating create_schema_objects.sql
@ $FLEXPM_HOME/db/Oracle8i/cfgtool/create_schema_objects.sql
PROMPT
PROMPT Updating load_dictionary_pkgb.sql
@ $FLEXPM_HOME/db/Oracle8i/cfgtool/load_dictionary_pkgb.sql

PROMPT
PROMPT Updating part_maint...
@ $FLEXPM_HOME/db/Oracle8i/part_maint/part_maint.sql

PROMPT
PROMPT Updating rgu_dtscope_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/rg/rgu_dtscope_pkgb.sql

PROMPT
PROMPT Updating insAct_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/scenarioAD/insAct_pkgb.sql
PROMPT
PROMPT Updating wm_scenarioupdate_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/scenarioAD/wm_scenarioupdate_pkgb.sql

PROMPT
PROMPT Updating CreateQueue...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/saext_queue_admin/CreateQueue.sql

PROMPT
PROMPT Updating sched...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/sched/sched.sql

PROMPT
PROMPT Updating status...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/status/status.sql

PROMPT
PROMPT Updating saext_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/saext/saext_pkgb.sql

PROMPT
PROMPT Updating CreateSumTab...
@ $FLEXPM_HOME/db/Oracle8i/summarize/CreateSumTab.sql
PROMPT
PROMPT Updating summarize...
@ $FLEXPM_HOME/db/Oracle8i/summarize/summarize.sql
PROMPT
PROMPT Updating summaryClean...
@ $FLEXPM_HOME/db/Oracle8i/summarize/summaryClean.sql

PROMPT
PROMPT Updating wmd_traffic_redefinition...
@ $FLEXPM_HOME/db/Oracle8i/traffic_redef/wmd_traffic_redefinition.sql

PROMPT
PROMPT Updating autoclean...
@ $FLEXPM_HOME/db/Oracle8i/utility/autoclean.sql

PROMPT
PROMPT Updating wm_log_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/wmlib/wm_log_pkgb.sql
-- End 8.0.6 patches


-- Start Analysis FrameWork

PROMPT
PROMPT Updating data_change...
@ $FLEXPM_HOME/db/Oracle8i/data_change_event/data_change.sql

PROMPT
PROMPT Updating soft_alarm_type...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/soft_alarm_type.sql

PROMPT
PROMPT Updating sa_queue_api...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/sa_queue_api.sql

-- End Analysis FrameWork



-- Start pm action logging
PROMPT
PROMPT Updating pm_action_logging_api_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/action_logging/pm_action_logging_api_pkgb.sql

PROMPT
PROMPT Updating wmd_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/dictionary/wmd_pkgb.sql
-- End pm action logging

-- Report Forecasting - START
PROMPT
PROMPT Updating rg_trending_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/rg_trending/rg_trending_pkgb.sql

PROMPT
PROMPT Updating rg_syscap_util_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/rg_trending/rg_syscap_util_pkgb.sql
-- Report Forecasting - FINISH

-- Start Rehoming
PROMPT
PROMPT Updating rh_map_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/rehoming/rh_map_pkgb.sql

PROMPT
PROMPT Updating rh_rehoming_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/rehoming/rh_rehoming_pkgb.sql

PROMPT
PROMPT Updating xr_util...
@ $FLEXPM_HOME/db/Oracle8i/xr/xr_util.sql
-- End Rehoming

-- Instance Exclusion Start

PROMPT 
PROMPT Updating wm_features_excluded_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/instance_exclusion/wm_features_excluded_pkgb.sql

-- Instance Exclusion End

-- Japanese Lite Start 

PROMPT 
PROMPT Updating pm_language_api...
@ $FLEXPM_HOME/db/Oracle8i/client/pm_language_api.sql

PROMPT 
PROMPT Updating pm_group_user_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/client/pm_group_user_pkgb.sql

PROMPT 
PROMPT Updating pm_doc_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/client/pm_doc_pkgb.sql


-- Japanese Lite End


--Sentry Loader Start

PROMPT 
PROMPT Updating pmSentryLoaderConfig...
@ $FLEXPM_HOME/db/Oracle8i/sentryloader/pmSentryLoaderConfig.sql

PROMPT 
PROMPT Updating pmSentryLoader...
@ $FLEXPM_HOME/db/Oracle8i/sentryloader/pmSentryLoader.sql

-- Sentry Loader End

--Start R23 Upgrade

PROMPT 
PROMPT Updating analyze...
@ $FLEXPM_HOME/db/Oracle8i/utility/analyze.sql

--End R23 Upgrade

-- 8.0.7 patch 1
PROMPT 
PROMPT Updating rg_util...
@ $FLEXPM_HOME/db/Oracle8i/rg/rg_util.sql

PROMPT 
PROMPT Updating rg_common...
@ $FLEXPM_HOME/db/Oracle8i/rg/rg_common.sql

PROMPT 
PROMPT Updating HC_db_tablespace...
@ $FLEXPM_HOME/wm/healthcheck/generic/install/HC_db_tablespace.sql

PROMPT 
PROMPT Updating HC_future_part...
@ $FLEXPM_HOME/wm/healthcheck/generic/install/HC_future_part.sql

PROMPT 
PROMPT Updating except...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/except/except.sql


-- 8.0.7 patch 2
PROMPT 
PROMPT Updating sa_snap_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/sa_snap_pkgb.sql

-- 8.0.7 Patch 3
PROMPT 
PROMPT Updating dict_update...
@ $FLEXPM_HOME/db/Oracle8i/cfgtool/dict_update.sql

PROMPT
PROMPT Updating saext_pm_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/softalarm/saext/saext_pm_pkgb.sql

-- Delete NE feature
PROMPT 
PROMPT Updating wmn_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/dictionary/wmn_pkgb.sql

-- 8.0.7 patch 5
PROMPT 
PROMPT Updating rgu_scenario_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/rg/rgu_scenario_pkgb.sql

PROMPT 
PROMPT Updating wms_pkgb...
@ $FLEXPM_HOME/db/Oracle8i/dictionary/wms_pkgb.sql

PROMPT END upgrade_pack_body.sql DONE
