#!/bin/ksh
#----------------------------------------------------------------------
# (#) ./base/migrate/upgrades/sql/R23Generic/update_system_privs805.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
# Copyright 2003 WatchMark Corp.
#----------------------------------------------------------------------
#
# Copied from 805 upgrade for 805 portion of R23->807 upgrade
#

UPGRADE_CONFIG=${1:-"GENERIC"}

if [ $UPGRADE_CONFIG = "GENERIC" -o $UPGRADE_CONFIG = "ALL" ]
then

   cd $FLEXPM_HOME/dbuser
   make chmod
   make grants
   make grant_support

fi

if [ $UPGRADE_CONFIG = "SBI" -o $UPGRADE_CONFIG = "ALL" ]
then

   (
     echo "GRANT CREATE ANY TRIGGER TO &2;"
     echo "GRANT CREATE ANY INDEX TO &2;"
   ) > sbi_sys_privs.sql

   $FLEXPM_HOME/dbuser/run_sql sys sbi_sys_privs.sql

fi

