-- ----------------------------------------------------------------------
-- @(#) upgrade_idx_sa_arc_mid_id.sql 1.3.0 07/05/07 17:03:05
-- @(#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------

PROMPT START upgrade_idx_sa_arc_mid_id805.sql

PROMPT rebuild unusable index partition for IDX_SA_ARC_MID_ID ...
set serveroutput on size 1000000
DECLARE
 CURSOR inusabel_part_index IS
  SELECT index_name, partition_name, status
    FROM user_ind_partitions
   WHERE index_name='IDX_SA_ARC_MID_ID'
     AND status='UNUSABLE'
   ORDER BY partition_name;
 vSQL    VARCHAR2(1000);
BEGIN
    FOR c_index IN inusabel_part_index LOOP
      BEGIN
        vSQL:='alter index '||c_index.index_name
            ||' rebuild partition '||c_index.partition_name;
        --wm_print.print(vSQL);
        execute immediate vSQL;
      EXCEPTION
        WHEN OTHERS THEN
         wm_print.print(SQLERRM);
          wm_print.print(vSQL); 
      END;
    END LOOP;
END;
/

PROMPT END upgrade_idx_sa_arc_mid_id805.sql DONE
