---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/upgrade_views.sql BL_core_schema_8.0.6.0.13_20081104  180142
-- (#) 
--

PROMPT START upgrade_views806.sql

PROMPT
PROMPT Updating en_event_status_change_v...
BEGIN
run_sql(' CREATE OR REPLACE VIEW en_event_status_change_v AS '
|| 'SELECT e.event_id,e.event_time,e.event_type_id,e.data_tstamp,e.handled_tstamp, '
|| '  esc.status_message,esc.summary,esc.long_message, '
|| '  esc.start_time,esc.end_time,esc.log_file '
|| 'FROM en_event e, en_event_status_change esc, en_event_type et '
|| ' WHERE e.event_id    = esc.event_id '
|| '   AND e.event_type_id = et.event_type_id '
|| '   AND et.name in (''SCHED_REPORT_GROUP_S'',''SCHED_REPORT_GROUP_F'',''BUSYHOUR_S'',''BUSYHOUR_F'', '
|| '   ''SUMMATION_S'',''SUMMATION_F'',''PARTMAINT_D_S'',''PARTMAINT_D_F'', '
|| '   ''PARTMAINT_W_S'',''PARTMAINT_W_F'', ''PARTMAINT_M_S'',''PARTMAINT_M_F'', '
|| '   ''ANALYZE_S'',''ANALYZE_F'',''RGFP_S'',''RGFP_F'', '
|| '   ''SCENARIO_AD_S'',''SCENARIO_AD_F'',''SOFTALARM_S'',''SOFTALARM_F'', '
|| '   ''SUMMARY_CLEAN_S'',''SUMMARY_CLEAN_F'',''AUTOCLEAN_S'',''AUTOCLEAN_F'', '
|| '   ''BUSYHOUR_CLEAN_S'',''BUSYHOUR_CLEAN_F'',''EVENT_CLEAN_S'',''EVENT_CLEAN_F'', '
|| '   ''EXPECTATION_S'',''EXPECTATION_F'', '
|| '   ''SOFTALARM_S'', ''SOFTALARM_F'', '
|| '   ''AGGREGATOR_S'', ''AGGREGATOR_F'', '
|| '   ''SUMMARY_CLEAN_S'', ''SUMMARY_CLEAN_F'', '
|| '   ''AUTOCLEAN_S'', ''AUTOCLEAN_F'', '
|| '   ''BUSYHOUR_CLEAN_S'', ''BUSYHOUR_CLEAN_F'', '
|| '   ''EVENT_CLEAN_S'', ''EVENT_CLEAN_F'', '
|| '   ''EXPECTATION_S'', ''EXPECTATION_F'', '
|| '   ''SAEXT_PUSH_S'', ''SAEXT_PUSH_F'') '
);

END;
/

PROMPT
PROMPT Updating sentryLoaderViews...
@ $FLEXPM_HOME/db/Oracle8i/sentryloader/createViews.sql

PROMPT END upgrade_views806.sql DONE
