PROMPT START PWEB upgrade_trigger225.sql
-- -------------------------------------
-- @(#) upgrade_trigger.sql 1.10.0 07/12/08 17:56:20
-- @(#) 
-- -------------------------------------
 
 
REM Oscar Start Procedure
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_report_result_trigger...
-- -----------------------------------------------------------------------------
@ $FLEXPM_HOME/vendor/EnterpriseTrafficCache/pe_report_result_trigger.sql
REM Oscar End Trigger
 
-- ---------------------------------------------------------------------------------------------
-- These are web only triggers for pm_document
PROMPT
PROMPT Updating pe_payload_triggers...
@ $FLEXPM_HOME/db/Oracle8i/client/pe_payload_triggers.sql
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating pe_dimension_field_tr_bi...
-- ---------------------------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER pe_dimension_field_tr_bi
  BEFORE INSERT OR UPDATE
  ON pe_dimension_field
  FOR EACH ROW
DECLARE
  tc INTEGER;
BEGIN
   IF (:NEW.field_id IS NOT NULL)
   THEN
      SELECT LENGTH(f.field_name) INTO tc
        FROM pe_field f
       WHERE f.field_id = :NEW.field_id;
   END IF;
  
   IF tc > 30
   THEN
      RAISE_APPLICATION_ERROR(-20001, 'Dimension field name must be less than 30 characters');
   END IF;
END;
/
SHOW ERRORS TRIGGER pe_dimension_field_tr_bi;
PROMPT END PWEB upgrade_trigger225.sql DONE
