
-- -----------------------------------------------------------------------
-- populate rg_timeoffset with its static data
-- -----------------------------------------------------------------------
DECLARE
   CURSOR FREQUENCIES IS SELECT * FROM WM_FREQUENCY;
   f WM_FREQUENCY%RowType;
   t INTEGER;
BEGIN
   DELETE FROM rg_timeoffset;
   
   FOR f IN FREQUENCIES
   LOOP
      t := 0;
      WHILE (t < 3600)
      LOOP
	 INSERT INTO rg_timeoffset(frequency_id, seconds) VALUES(f.frequency_id, t);
	 t := t + f.seconds;
      END LOOP;
   END LOOP;
   
   COMMIT;
END;
/

