package com.watchmark.loader.zipstream;

public class ParserLine
{
  private String _loaderId;
  private String _fromState;
  private String _pattern;
  private String _toState;
  private int _consume;
  private String _action;

  public ParserLine(String loaderId, String fromState, String pattern, 
    String toState, int consume, String action)
  {
    _loaderId = loaderId;
    _fromState = fromState;
    _pattern = pattern;
    _toState = toState;
    _consume = consume;
    _action = action;
  }
  
  public String toString()
  {
    return _loaderId +
      "\t" + _fromState +
      "\t" + _pattern +
      "\t" + _toState +
      "\t" + _consume +
      "\t" + _action;
  }
}
