-- ----------------------------------------------------------------------
-- (#) ./base/sw/wm_monitor/sql/mod_whodofull.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
set feedback off
set pagesize 0
set heading off
set lines 800;

select 'PID|SID|USERNAME|OSUSER|MACHINE|PIECE|SQLTEXT' x from dual
union all
select x from (
select /*+ RULE */
       to_number(p.spid) || '|'
    || s.sid  || '|'
    || nvl(s.username,'<NULL>') || '|'
    || osuser || '|'
    || machine || '|'
    || sq.piece || '|'
    || sq.sql_text x
from v$sqltext sq, sys.v_$session s, sys.v_$process p
where s.sql_address = sq.address
  and s.sql_hash_value = sq.hash_value
  and s.paddr = p.addr
order by to_number(s.sid), sq.piece
) PS;

exit
