-- ----------------------------------------------------------------------
-- (#) ./base/sw/wm_monitor/sql/summary_defs.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
set feedback off
set pagesize 0
set heading off
set line 500

select 'ID|NAME|FREQ|BH_DETERMINER|DTSCOPE'
    || '|SCOPE_TYPE|TIMEUNIT|DTPERIOD' x
  from dual
union all
select S.summary_id         || '|'
    || S.summary_name       || '|'
    || S.frequency          || '|'
    || S.busyhourdeterminer || '|'
    || S.dtscopeid          || '|'
    || D.scopetype          || '|'
    || D.timeunit           || '|'
    || D.dtperiod x
  from WMD_SUMMARY S
     , PM_DTSCOPE D
 where S.dtscopeid = D.id (+)
     ;

exit
