#!/usr/bin/env perl -w
#---------------------------------------------------------
# (#) ./base/tools/wm_consumer/scripts/test_env.pl BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
# COPYRIGHT 2003 WatchMark Corp.
#---------------------------------------------------------
#

BEGIN {
  use File::Basename;
  unshift @INC, dirname($0) . "/modules";
}

use wmc_general;
use wmc_oracle;

use Env;

my $SCRIPT_ID   = basename($0);
my $FLEXPM_HOME = $ENV{"FLEXPM_HOME"} || '';
my $DB_CONNECT  = $ENV{"DB_CONNECT"} || '';

#---------------------------------------------------------------------------
sub main()
#---------------------------------------------------------------------------
{
   wmc_general::error_out("FLEXPM_HOME is not set.")
      if ( $FLEXPM_HOME eq '' );

   wmc_general::error_out("$FLEXPM_HOME does not exist.")
      if ( ! -d $FLEXPM_HOME );

   wmc_general::error_out("DB_CONNECT is not set.")
      if ( $DB_CONNECT eq '' );

   my $db = wmc_oracle::dbConnect;
   my $dbclose = wmc_oracle::dbDisconnect($db);

   return 0;
}

exit main;
