-- ------------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2003
--     ./base/db/Oracle8i/bh/BH_Refresh_SBH.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605
-- ------------------------------------------------------------------------

CREATE TABLE bh_refresh_sbh (
    task_id          INTEGER,
    summary_id       INTEGER,
    instance_id      INTEGER,
    tstamp           DATE,
    CONSTRAINT pk_bh_refresh_sbh PRIMARY KEY
               (task_id, summary_id, instance_id, tstamp),
    CONSTRAINT fk_bh_refresh_sbh_task_id FOREIGN KEY (task_id)
               REFERENCES active_task(task_id) ON DELETE CASCADE,
    CONSTRAINT fk_bh_refresh_sbh_summary_id FOREIGN KEY (summary_id)
               REFERENCES pm_busyhour(id) ON DELETE CASCADE
)
ORGANIZATION INDEX
PCTFREE 0
COMPRESS
TABLESPACE wm_flexpm;

