#!/usr/bin/env perl -w

use Getopt::Long;

my $count;
my $line;
my $filepath;
my $flexpm_home;
sub chop_file($$$);



&GetOptions( "filepath=s" => \$filepath, "flexpm_home=s" => \$flexpm_home);



opendir(PEIKDIR, $filepath);

foreach $name (readdir(PEIKDIR)){

  #    print "$name\n";
  if ( $name =~ m/.xml/ ){

   
   

    if ( not $name =~ m/main.xml/ ){

      print " ### $name \n";    
      print $filepath.$name."\n";
      
      open(FILE,"< $filepath"."/$name" )
	or die "file doesnot exist";
     
      chop_file(\*FILE, $name, $flexpm_home);
      close(FILE);
    }
  };
};

sub chop_file($$$){
  my $FILE=shift;
  my $file_name=shift;
  my $flexpm_homev=shift;
  my $file_count=0;
  my $tagcount=0;
  my $entity_name;
  my $file_namelocal;
  my $found_match;
  my $first_iteration;
  my $main_lineM=' ';
  my $header_info;


  $file_namelocal = $file_name;
  $first_iteration = 1;

  $header_info="<?xml version=\"1.0\"standalone=\"yes\"?>\n";
  $header_info=$header_info."<!DOCTYPE ROWSET SYSTEM \"dict.dtd\">\n";
  $header_info=$header_info."<ROWSET>\n";

  # extract the entityname
  (substr($file_name,-4)="");
  $entity_name=$file_name;
  print " entity_name $entity_name ";
  
  while( $line = <FILE> )
    {
      if ( $tagcount == 0 or $tagcount > 3000) {
        
        $file_count = $file_count+1;

        if ( $file_count > 1 ) {
 
        # now append footer info which is </ROWSET> to the previous split file
        print XMLTARGET "</ROWSET>";

        }

	close(XMLTARGET);
	
	# update main.xml with these split files in $FLEXPM_HOME/peik/xml directory


	  
	 
         


        
	  open(XMLTARGET, "> $flexpm_homev"."/$entity_name"."$file_count.xml")
	    or die "cannot open $flexpm_homev"."/$entity_name"."$file_count.xml !";

       

        # open main.xml to add information about the split files

         open(MAIN_FILE, "+< $flexpm_homev"."/main.xml") 
	    or die "cannot open  $flexpm_homev"."/main.xml";

    
      
        
       
        if ( $file_count > 1 ) {
           # append header information
           print XMLTARGET $header_info;
	}

          
          $main_lineM = ' ' ;
          $found_match=0;

	  while(<MAIN_FILE>)
	
	    {
#              print " I am inside main for $file_count \n ";

             $main_lineM .= $_;
            #  print " #### $tagcount after 3000 \n";

	     if ( $found_match == 0 ){
#              print " file name local $file_namelocal\n";

            

	      if ( $main_lineM =~ m/$file_namelocal/ ){
            
               print " Found match\n";

               #print " ML $main_lineM \n";
             
               if ( $first_iteration == 1 ){

               # if it the first file that is split then replace the original xml
               # file name with the new xml file name in main.xml
               
                  
                $main_lineM =~ s/$file_namelocal/$entity_name$file_count.xml/g;
                $first_iteration = 0;
                $file_namelocal = "$entity_name"."$file_count.xml";
                
#                print " file name local after change $file_namelocal";

#                $main_lineM .= $_;
		} elsif ( $first_iteration == 0 ) {
        
#            print " not first iteration \n";
             
               # if it is not the first file split, then append
               # the split file in to main.xml

             $main_lineM = $main_lineM."<EntityDictionary file=\"$entity_name"."$file_count.xml\" />\n";
	     }

           
            $found_match = 1;

         
	      }

           }
           

      


            $tagcount = 1;

           
	    }

         
           seek(MAIN_FILE, 0 , 0);
           
           print MAIN_FILE $main_lineM;

           truncate (MAIN_FILE, tell(MAIN_FILE));
           close(MAIN_FILE); 
            
    
        
      if ( $tagcount == 0 ) {

          $tagcount=1; 
      }

	}

	#$tagcount=1;
      
      
      #  open the target file
      # you need start a file with count 1
      # you need to increase file count after <ROW> tag counts reach to 3000

      if ( $line =~ m/<\/ROW>/ ) {

	$tagcount=$tagcount+1;

      }
      
      #  print "line = $line\n";
      print XMLTARGET "$line";
      
      
    }
   
 
  
  close(XMLTARGET);


}

closedir(PEIKDIR);

