-- -------------------------------------
-- (#) ./base/db/Oracle8i/ea/Export/drop_ea_imp.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
-- -------------------------------------
--

declare

   NO_TABLE    EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_TABLE,    -00942);

   NO_INDEX    EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_INDEX,    -01418);

   NO_OBJECT   EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_OBJECT,   -04043);

   NO_SEQUENCE EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_SEQUENCE, -02289);

   type TABTYPE is table of varchar2(64);
   obj TABTYPE := TABTYPE( 'PACKAGE ea_imp'
                         , 'TABLE exp_delete'
                         , 'INDEX pm_calendar_unq'
                         , 'VIEW EXP_BUSYHOURS_VIEW'
                         , 'VIEW EXP_HOURRANGE_VIEW'
                         , 'VIEW EXP_JOB_GROUP_VIEW'
                         , 'VIEW EXP_PM_FOLDER_DEL_VIEW'
                         , 'VIEW EXP_SUMMATIONS_VIEW'
                         );

   v_SQL varchar2(100);

begin

   for i in obj.first..obj.last
   loop

      begin
      
         v_SQL := 'DROP ' || obj(i);
         execute immediate v_SQL;

      exception
         when NO_TABLE or NO_INDEX or NO_OBJECT or NO_SEQUENCE
         then
             NULL;
      end;

   end loop;

end;
/
