CREATE OR REPLACE PACKAGE BODY 
---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2005,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/jloader/jloader_util_pkgb.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--
-- 
-- File: jloader_util.sql
--
-- Desc: JLoader utility packages for use by the
-- JLoader and the Applications post load procedures
--
-- Author: Ollie Fagan
--
-- Date: 05Oct06
---------------------------------------------------------------------------
JLOADER_UTIL wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
b
9200000
1
4
0 
51
2 :e:
1PACKAGE:
1BODY:
1JLOADER_UTIL:
1ADD_ATTRIBUTE_VALUE:
1PENTRYNAME:
1JLOADER_ATTRIBUTE_MAPPING:
1ENTRY_NAME:
1TYPE:
1PATTRIBUTENAME:
1ATTRIBUTE_NAME:
1PATTRIBUTEVALUE:
1ATTRIBUTE_VALUE:
1INSERT INTO jloader_attribute_mapping values (pEntryName, pAttributeName, pAt+
1tributeValue):
1FUNCTION:
1GET_ATTRIBUTE_VALUE:
1RETURN:
1VARCHAR:
1VATTRIBUTEVALUE:
1M:
1SELECT attribute_value INTO vAttributeValue:n	FROM jloader_attribute_mapping +
1m:n	WHERE m.entry_name = pEntryName:n	AND m.attribute_name = pAttributeName:
1PURGE_ATTRIBUTE_VALUES:
1EXECUTE:
1IMMEDIATE:
1TRUNCATE TABLE jloader_attribute_mapping:
1REGISTER_FILE_LOAD_EVENT:
1PEVENTTIME:
1DATE:
1PEVENTTYPENAME:
1VARCHAR2:
1PERRORMESSAGE:
1PFILENAME:
1PLOGFILENAME:
1PENTITYNAME:
1PFULLKEY:
1PFILETYPE:
1PDATATSTAMP:
1PINTERVALCOUNT:
1INTEGER:
1EVENTTYPEID:
1ENTITYID:
1INSTANCEID:
1FILETYPEID:
1WM_NETWORK:
1GET_ENTITY:
1IS NULL:
1RAISE_APPLICATION_ERROR:
1-:
120010:
1Invalid entity name:: :
1||:
1EVENT_TYPE_ID:
1EN_EVENT_TYPE:
1NAME:
1SELECT event_type_id INTO eventTypeId:n        FROM en_event_type WHERE name +
1= pEventTypeName:
1NO_DATA_FOUND:
1Invalid event type name:: :
1IC:
1INSTANCE_ID:
1WMN_CONTEXT:
1C:
1WMN_INSTANCE_CONTEXT:
1CONTEXT_USE:
1ENTITY_ID:
1CONTEXT_ID:
1FULLKEY:
1SELECT ic.instance_id INTO instanceId:n        FROM wmn_context c, :n        +
1     wmn_instance_context ic:n       WHERE c.context_use = 'S':n         AND +
1ic.entity_id = entityId:n         AND ic.context_id = c.context_id:n         +
1AND ic.fullkey = pFullKey:
1No such instance:: :
1=:
1FILE_TYPE_ID:
1WM_FILE_CONTROL:
1FILE_TYPE:
1SELECT file_type_id INTO fileTypeId:n        FROM wm_file_control:n       WHE+
1RE file_type = pFileType:
1No such file type:: :
1EN_EVENT_FILE_LOAD_V:
1EVENT_TIME:
1ERROR_MESSAGE:
1FILE_NAME:
1LOG_FILE:
1DATA_TSTAMP:
1NUMOFINTERVAL:
1INSERT INTO en_event_file_load_v (:n                event_time, event_type_id+
1, error_message, file_name, log_file, :n                instance_id, entity_i+
1d, file_type_id, data_tstamp, numofinterval):n         VALUES(pEventTime, eve+
1ntTypeId, pErrorMessage, pFileName, pLogFileName, instanceId, entityId, fileT+
1ypeId,:n                pDataTstamp, pIntervalCount):
0

0
0
162
2
0 :2 a0 97 9a 8f :2 a0 6b :2 a0
f b0 3d 8f :2 a0 6b :2 a0 f
b0 3d 8f :2 a0 6b :2 a0 f b0
3d b4 55 6a :4 a0 12a b7 a4
a0 b1 11 68 4f a0 8d 8f
:2 a0 6b :2 a0 f b0 3d 8f :2 a0
6b :2 a0 f b0 3d b4 :2 a0 2c
6a a3 :2 a0 6b :2 a0 f 1c 81
b0 :a a0 12a :2 a0 65 b7 a4 a0
b1 11 68 4f 9a b4 55 6a
:2 a0 6e 11e 11d b7 a4 a0 b1
11 68 4f 9a 8f a0 b0 3d
8f a0 b0 3d 8f a0 b0 3d
8f a0 b0 3d 8f a0 b0 3d
8f a0 b0 3d 8f a0 b0 3d
8f a0 b0 3d 8f a0 b0 3d
8f a0 b0 3d b4 55 6a a3
a0 1c 81 b0 a3 a0 1c 81
b0 a3 a0 1c 81 b0 a3 a0
1c 81 b0 :3 a0 6b a0 a5 b
d a0 7e b4 2e 5a a0 7e
51 b4 2e 6e 7e a0 b4 2e
a5 57 b7 19 3c :5 a0 12a b7
:2 a0 7e 51 b4 2e 6e 7e a0
b4 2e a5 57 b7 a6 9 a4
b1 11 4f :13 a0 12a b7 :2 a0 7e
51 b4 2e 6e 7e a0 b4 2e
7e 6e b4 2e 7e a0 b4 2e
a5 57 b7 a6 9 a4 b1 11
4f :5 a0 12a b7 :2 a0 7e 51 b4
2e 6e 7e a0 b4 2e a5 57
b7 a6 9 a4 b1 11 4f :15 a0
12a b7 a4 a0 b1 11 68 4f
b1 b7 a4 11 a0 b1 56 4f
1d 17 b5 
162
2
0 3 7 b 15 45 2d 31
35 38 3c 40 2c 4d 6b 56
5a 29 5e 62 66 55 73 91
7c 80 52 84 88 8c 7b 99
78 9e a2 a6 aa ae b2 b6
c2 c4 c8 cc ce da de e0
e4 114 fc 100 104 107 10b 10f
fb 11c 13a 125 129 f8 12d 131
135 124 142 121 147 14b 14f 153
180 15b 15f 163 166 16a 16e 173
17b 15a 187 18b 18f 193 197 19b
19f 1a3 1a7 1ab 1af 1bb 1bf 1c3
157 1c7 1cb 1cf 1d1 1dd 1e1 1e3
1f7 1f8 1fc 200 204 208 20d 212
216 218 21c 220 222 22e 232 234
250 24c 24b 258 265 261 248 26d
276 272 260 27e 28b 287 25d 293
29c 298 286 2a4 2b1 2ad 283 2b9
2c2 2be 2ac 2ca 2d7 2d3 2a9 2df
2e8 2e4 2d2 2f0 2fd 2f9 2cf 305
2f8 30a 30e 327 316 31a 322 2f5
33f 32e 332 33a 315 35b 34a 34e
356 312 373 362 366 36e 349 37a
37e 382 346 386 38a 38b 38d 391
395 398 399 39e 3a1 3a5 3a8 3ab
3ac 3b1 3b6 3b9 3bd 3be 3c3 3c4
3c9 3cb 3cf 3d2 3d6 3da 3de 3e2
3e6 3f2 3f4 3f8 3fc 3ff 402 403
408 40d 410 414 415 41a 41b 420
422 423 428 42c 42e 43a 43c 440
444 448 44c 450 454 458 45c 460
464 468 46c 470 474 478 47c 480
484 488 494 496 49a 49e 4a1 4a4
4a5 4aa 4af 4b2 4b6 4b7 4bc 4bf
4c4 4c5 4ca 4cd 4d1 4d2 4d7 4d8
4dd 4df 4e0 4e5 4e9 4eb 4f7 4f9
4fd 501 505 509 50d 519 51b 51f
523 526 529 52a 52f 534 537 53b
53c 541 542 547 549 54a 54f 553
555 561 563 567 56b 56f 573 577
57b 57f 583 587 58b 58f 593 597
59b 59f 5a3 5a7 5ab 5af 5b3 5b7
5c3 5c5 5c9 5cd 5cf 5db 5df 5e1
5e3 5e5 5e9 5f5 5f9 5fb 5fe 600
601 60a 
162
2
0 1 9 1 b 1f 2d 47
2d :2 52 2d :2 1f 3 15 2f 15
:2 3e 15 :3 3 16 30 16 :2 40 16
:2 3 1e :2 1 e 30 3c 4c 2
:2 1 5 :5 1 a 1e 2c 46 2c
:2 51 2c :2 1e 3 15 2f 15 :2 3e
15 :2 3 1d 44 4b :2 1 2 12
2c 12 :2 3c :3 12 2 9 1e 7
21 8 a 17 6 8 19 :2 2
9 2 :2 1 5 :4 1 b 0 :2 1
4 c 16 :2 4 :2 1 5 :4 1 d
26 34 :2 26 3a 4c :2 3a 56 67
:2 56 5 12 :2 5 1c 2c :2 1c 36
45 :2 36 4f 5b :2 4f 5 12 :2 5
1c 2b :2 1c 31 43 :2 31 25 :2 3
5 :3 11 :2 5 :3 10 :2 5 :3 10 :2 5 :3 10
:2 5 11 :2 1c 27 :2 11 5 :4 9 8
7 1f 20 :2 1f 27 3f 42 :2 27
:2 7 :3 5 e 21 e 22 29 7
5 14 7 1f 20 :2 1f 27 43
46 :2 27 :2 7 22 :2 f 5 :3 3 e
11 22 e 1a e 23 e 10
e 11 1d e 11 1e 20 e
11 1b 7 5 14 7 1f 20
:2 1f 27 3c 3f :2 27 4b 4e :2 27
52 55 :2 27 :2 7 22 :2 f 5 :3 3
e 20 :2 e 1a 7 5 14 7
1f 20 :2 1f 27 3d 40 :2 27 :2 7
22 :2 f 5 :3 3 :2 11 1d 2c 3b
46 11 1e 29 37 44 11 1d
2a 39 44 52 5e 68 11 1e
5 :2 3 7 :4 3 :4 1 5 :6 1 
162
4
0 :2 1 1a :a 28
:9 29 :9 2a :3 28 :5 2e
:2 2c 30 :4 28 :b 3f
:9 40 3f :2 40 :2 3f
:a 42 :2 45 :2 46 :3 47
:3 48 45 :3 4a :2 43
4c :4 3f 57 0
:2 57 :5 5b :2 59 5d
:4 57 :d 65 :10 66 :c 67
:3 65 :5 69 :5 6a :5 6b
:5 6c :8 6e :5 6f :c 71
70 :2 6f :2 75 :3 76
75 74 77 :c 78
:4 77 :3 6d :3 7c :2 7d
:2 7e :2 7f :3 80 :4 81
:3 82 7c 7b 83
:14 84 :4 83 :3 6d :2 88
89 :2 8a 88 87
8b :c 8c :4 8b :3 6d
90 :5 91 :5 92 :8 93
:2 94 90 :2 6d 96
:4 65 :4 28 98 :6 1

60c
4
:3 0 1 :3 0 2
:3 0 3 :6 0 1
:2 0 4 :a 0 2d
2 :7 0 f 10
0 3 6 :3 0
7 :2 0 4 6
7 0 8 :3 0
8 :2 0 1 8
a :3 0 5 :7 0
c b :3 0 18
19 0 5 6
:3 0 a :2 0 4
8 :3 0 8 :2 0
1 11 13 :3 0
9 :7 0 15 14
:3 0 9 :2 0 7
6 :3 0 c :2 0
4 8 :3 0 8
:2 0 1 1a 1c
:3 0 b :7 0 1e
1d :3 0 20 :2 0
2d 4 21 :2 0
6 :3 0 5 :3 0
9 :3 0 b :4 0
d 1 :8 0 28
d 2c :3 0 2c
4 :4 0 2c 2b
28 29 :6 0 2d
1 0 4 21
2c 15c :2 0 e
:3 0 f :a 0 65
3 :7 0 3b 3c
0 f 6 :3 0
7 :2 0 4 32
33 0 8 :3 0
8 :2 0 1 34
36 :3 0 5 :7 0
38 37 :3 0 13
:2 0 11 6 :3 0
a :2 0 4 8
:3 0 8 :2 0 1
3d 3f :3 0 9
:7 0 41 40 :3 0
10 :3 0 11 :3 0
43 45 0 65
30 46 :2 0 18
64 0 16 6
:3 0 c :2 0 4
49 4a 0 8
:3 0 8 :2 0 1
4b 4d :3 0 4e
:7 0 51 4f 0
63 0 12 :6 0
c :3 0 12 :3 0
6 :3 0 13 :3 0
13 :3 0 7 :3 0
5 :3 0 13 :3 0
a :3 0 9 :4 0
14 1 :8 0 60
10 :3 0 12 :3 0
5e :2 0 60 :3 0
64 f :3 0 1b
64 63 60 61
:6 0 65 1 0
30 46 64 15c
:2 0 15 :a 0 75
4 :8 0 68 :2 0
75 67 69 :2 0
16 :3 0 17 :3 0
18 :4 0 6d :4 0
6e :2 0 70 1d
74 :3 0 74 15
:4 0 74 73 70
71 :6 0 75 1
0 67 69 74
15c :2 0 19 :a 0
155 5 :7 0 21
25d 0 1f 1b
:3 0 1a :7 0 7a
79 :3 0 25 283
0 23 1d :3 0
1c :7 0 7e 7d
:3 0 1d :3 0 1e
:7 0 82 81 :3 0
29 2a9 0 27
1d :3 0 1f :7 0
86 85 :3 0 1d
:3 0 20 :7 0 8a
89 :3 0 2d 2cf
0 2b 1d :3 0
21 :7 0 8e 8d
:3 0 1d :3 0 22
:7 0 92 91 :3 0
31 2f5 0 2f
1d :3 0 23 :7 0
96 95 :3 0 1b
:3 0 24 :7 0 9a
99 :3 0 3e 312
0 33 26 :3 0
25 :7 0 9e 9d
:3 0 a0 :2 0 155
77 a1 :2 0 42
346 0 40 26
:3 0 a4 :7 0 a7
a5 0 153 0
27 :6 0 26 :3 0
a9 :7 0 ac aa
0 153 0 28
:6 0 b8 b9 0
44 26 :3 0 ae
:7 0 b1 af 0
153 0 29 :6 0
26 :3 0 b3 :7 0
b6 b4 0 153
0 2a :6 0 28
:3 0 2b :3 0 2c
:3 0 21 :3 0 46
ba bc b7 bd
0 150 28 :3 0
2d :2 0 48 c0
c1 :3 0 c2 :2 0
2e :3 0 2f :2 0
30 :2 0 4a c5
c7 :3 0 31 :4 0
32 :2 0 21 :3 0
4c ca cc :3 0
4f c4 ce :2 0
d0 52 d1 c3
d0 0 d2 54
0 150 33 :3 0
27 :3 0 34 :3 0
35 :3 0 1c :4 0
36 1 :8 0 d9
56 ec 37 :3 0
2e :3 0 2f :2 0
30 :2 0 58 dc
de :3 0 38 :4 0
32 :2 0 1c :3 0
5a e1 e3 :3 0
5d db e5 :2 0
e7 60 e9 62
e8 e7 :2 0 ea
64 :2 0 ec 0
ec eb d9 ea
:6 0 150 5 :3 0
39 :3 0 3a :3 0
29 :3 0 3b :3 0
3c :3 0 3d :3 0
39 :3 0 3c :3 0
3e :3 0 39 :3 0
3f :3 0 28 :3 0
39 :3 0 40 :3 0
3c :3 0 40 :3 0
39 :3 0 41 :3 0
22 :4 0 42 1
:8 0 102 66 11d
37 :3 0 2e :3 0
2f :2 0 30 :2 0
68 105 107 :3 0
43 :4 0 32 :2 0
21 :3 0 6a 10a
10c :3 0 32 :2 0
44 :4 0 6d 10e
110 :3 0 32 :2 0
22 :3 0 70 112
114 :3 0 73 104
116 :2 0 118 76
11a 78 119 118
:2 0 11b 7a :2 0
11d 0 11d 11c
102 11b :6 0 150
5 :3 0 45 :3 0
2a :3 0 46 :3 0
47 :3 0 23 :4 0
48 1 :8 0 125
7c 138 37 :3 0
2e :3 0 2f :2 0
30 :2 0 7e 128
12a :3 0 49 :4 0
32 :2 0 23 :3 0
80 12d 12f :3 0
83 127 131 :2 0
133 86 135 88
134 133 :2 0 136
8a :2 0 138 0
138 137 125 136
:6 0 150 5 :3 0
4a :3 0 4b :3 0
33 :3 0 4c :3 0
4d :3 0 4e :3 0
3a :3 0 3f :3 0
45 :3 0 4f :3 0
50 :3 0 1a :3 0
27 :3 0 1e :3 0
1f :3 0 20 :3 0
29 :3 0 28 :3 0
2a :3 0 24 :3 0
25 :4 0 51 1
:8 0 150 8c 154
:3 0 154 19 :3 0
93 154 153 150
151 :6 0 155 1
0 77 a1 154
15c :3 0 15a 0
15a :3 0 15a 15c
158 159 :6 0 15d
:2 0 3 :3 0 98
0 3 15a 160
:3 0 15f 15d 161
:8 0 
9d
4
:3 0 1 5 1
e 1 17 3
d 16 1f 1
27 1 31 1
3a 2 39 42
1 48 2 5c
5f 1 50 1
6f 1 78 1
7c 1 80 1
84 1 88 1
8c 1 90 1
94 1 98 1
9c a 7b 7f
83 87 8b 8f
93 97 9b 9f
1 a3 1 a8
1 ad 1 b2
1 bb 1 bf
1 c6 2 c9
cb 2 c8 cd
1 cf 1 d1
1 d8 1 dd
2 e0 e2 2
df e4 1 e6
1 da 1 e9
1 101 1 106
2 109 10b 2
10d 10f 2 111
113 2 108 115
1 117 1 103
1 11a 1 124
1 129 2 12c
12e 2 12b 130
1 132 1 126
1 135 6 be
d2 ec 11d 138
14f 4 a6 ab
b0 b5 4 2d
65 75 155 
1
4
0 
160
0
1
14
8
19
0 1 1 1 1 5 5 5
0 0 0 0 0 0 0 0
0 0 0 0 
4 1 2
94 5 0
3a 3 0
e 2 0
67 1 4
b2 5 0
30 1 3
a8 5 0
7c 5 0
9c 5 0
31 3 0
17 2 0
5 2 0
48 3 0
a3 5 0
84 5 0
8c 5 0
88 5 0
80 5 0
3 0 1
98 5 0
78 5 0
90 5 0
77 1 5
ad 5 0
0

/
SHOW ERRORS PACKAGE BODY JLOADER_UTIL;
