-- -----------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2002
--     (#) ./base/db/Oracle8i/metadata/client/jobType.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
--     (#) 
-- -----------------------------------------------------------------------

PROMPT  Populating table JOB_TYPE...

INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(1,'Immediate Reports','RG_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(2,'Soft Alarm','SA_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(3,'Aggregator','AG_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(4,'File Missing','XPT_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(7, 'Agent', null);
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(10,'Scheduled Reports','RG_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(15,'rgfp','');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(20,'doproc','');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(25,'smupdate','');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(30,'bhupdate','');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(40,'SES','SES_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(60,'Export Schedule','EAP_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(1000,'FTP of performance files from network elements','');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(61,'Immediate Reports','RG_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(62,'Scheduled Reports','RG_SCHEDULE_VIEW');
INSERT INTO JOB_TYPE(ID,Description,Schedule_View) VALUES(63,'Dictionary Import Schedules','EA_DDIMP_SCHED_VIEW');

INSERT INTO JOB_TYPE(ID,Description) VALUES(8,'ScenarioActivation');

COMMIT;


PROMPT  Adding events for specific JOB_TYPE entries...

UPDATE JOB_TYPE
SET    post_job_proc = 'event_statprocs.POST_REPGRPPROC'
WHERE  ID in (10,62) ;

UPDATE JOB_TYPE
SET    post_job_proc = 'event_statprocs.POST_RGFPPROC'
WHERE  ID = 15 ;

UPDATE JOB_TYPE
SET    post_task_proc = 'event_statprocs.POST_SUMMARYPROC'
WHERE  ID = 25 ;

UPDATE JOB_TYPE
SET    post_task_proc = 'event_statprocs.POST_BUSYHRPROC'
WHERE  ID = 30 ;

UPDATE JOB_TYPE
SET    post_job_proc = 'event_statprocs.POST_SCENARIOACTIVATIONPROC'
WHERE  ID = 8 ;

UPDATE JOB_TYPE
SET    post_job_proc = 'event_statprocs.POST_SOFTALARMPROC'
WHERE  ID = 2 ;

UPDATE JOB_TYPE
SET    post_job_proc = 'event_statprocs.POST_AGGREGATORPROC'
WHERE  ID = 3 ;

COMMIT;
