-- Utility table to help us map from types used by DB and types
-- used by the report generator.


whenever sqlerror exit sql.sqlcode;

CREATE TABLE RG_DataType (
    Id               INTEGER   ,
    DataType         VARCHAR2(40),
    Name	     VARCHAR2(40),
CONSTRAINT PK_RG_DataType PRIMARY KEY (ID)
)
tablespace wm_flexpm;

CREATE SEQUENCE RG_DataTypeSeq
    START WITH 500
    INCREMENT BY 1
    NOMAXVALUE
    NOCYCLE
;


INSERT INTO RG_DataType VALUES (RG_DataTypeSeq.nextval, 'F', 'FLOAT');
INSERT INTO RG_DataType VALUES (RG_DataTypeSeq.nextval, 'I', 'INT');
INSERT INTO RG_DataType VALUES (RG_DataTypeSeq.nextval, 'S', 'STRING');
INSERT INTO RG_DataType VALUES (RG_DataTypeSeq.nextval, 'E', 'STRING');
INSERT INTO RG_DataType VALUES (RG_DataTypeSeq.nextval, 'D', 'TIME');

commit;


--INSERT INTO wmd_dict_summary(id, frequency) values (1, 'H');

--commit;
