---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/scheduler/saext_build/create_saext_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

-- SoftAlarm External Sequence
CREATE SEQUENCE saext_seq
    START WITH 1
    INCREMENT BY 1
    MAXVALUE 9999
    MINVALUE 1
    CYCLE
    CACHE 100
    NOORDER;

-- Log table
CREATE GLOBAL TEMPORARY TABLE saext_log
(
  tstamp    DATE NOT NULL,
  msg       VARCHAR2(512)
)
ON COMMIT DELETE ROWS;  

