---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/scheduler/saext_message/saext_messagePack.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
-- (#) 
--

CREATE OR REPLACE TYPE saext_message AS OBJECT
   (
   ThresholdName      VARCHAR2(32),
   Tech               VARCHAR2(4),
   NEType             VARCHAR2(20),
   DataDateTime       DATE,
   BSCName            VARCHAR2(32),
   SectorName         VARCHAR2(32),
   Vendor             VARCHAR2(32),
   LAC                VARCHAR2(5),
   CID                VARCHAR2(5),
   Origin             VARCHAR2(20),
   CurVal             NUMBER,
   MeanVal            NUMBER,
   SampleCount        NUMBER,
   StddevPct          NUMBER,
   KPIInternalTime    NUMBER,
   Severity           VARCHAR2(20),
   NetworkDomain      VARCHAR2(10),
   STATIC FUNCTION construct(
      ThresholdName      VARCHAR2 DEFAULT NULL,
      Tech               VARCHAR2 DEFAULT NULL,
      NEType             VARCHAR2 DEFAULT NULL,
      DataDateTime       DATE DEFAULT NULL,
      BSCName            VARCHAR2 DEFAULT NULL,
      SectorName         VARCHAR2 DEFAULT NULL,
      Vendor             VARCHAR2 DEFAULT NULL,
      LAC                VARCHAR2 DEFAULT NULL,
      CID                VARCHAR2 DEFAULT NULL,
      Origin             VARCHAR2 DEFAULT NULL,
      CurVal             NUMBER DEFAULT NULL,
      MeanVal            NUMBER DEFAULT NULL,
      SampleCount        NUMBER DEFAULT NULL,
      StddevPct          NUMBER DEFAULT NULL,
      KPIInternalTime    NUMBER DEFAULT NULL,
      Severity           VARCHAR2 DEFAULT NULL,
      NetworkDomain      VARCHAR2 DEFAULT NULL
   ) RETURN saext_message

   );
/
show errors;
