CREATE OR REPLACE VIEW status_archive_v AS
SELECT job_id, task_id, tstamp, archive_id, 
       substr(sched_general.status_code_to_name(status_code), 1, 16) status_word,
       substr(message, 1, 40) status_message,
       substr(report_group_name, 1, 40) report_group_name,
       substr(report_name, 1, 40) report_name,
       substr(schedule_name, 1, 40) schedule_name,
       substr(schedule_owner_name, 1,40) schedule_owner_name
FROM status_archive_tab;
       

CREATE OR REPLACE VIEW status_archive_by_job_v AS
SELECT * FROM status_archive_v
ORDER BY job_id, tstamp, archive_id;

CREATE OR REPLACE VIEW status_archive_by_time_v AS
SELECT * FROM status_archive_v
ORDER BY tstamp, archive_id;

exit;
