  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2003
  -- *** (#) ./base/db/Oracle8i/summarize/sync_sm_schema.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527 
  -- *** (#) 
  -- ------------------------------------------------------------------------

CREATE TABLE wm_missing_sm_table_list
( table_name   VARCHAR2(30),
  CONSTRAINT pk_wm_missing_sm_table_list PRIMARY KEY (table_name)
)
tablespace wm_flexpm;

CREATE TABLE wm_sm_user_tab
(
  table_name   VARCHAR2(30),
  CONSTRAINT pk_wm_sm_user_tab PRIMARY KEY (table_name)
)
tablespace wm_flexpm;

CREATE TABLE wm_sm_user_tab_col
(table_name   VARCHAR2(30) NOT NULL,
 column_name  VARCHAR2(30) NOT NULL,
 data_type    VARCHAR2(106),
 data_length  NUMBER,
 data_precision NUMBER,
 data_scale     NUMBER,
CONSTRAINT pk_wm_sm_user_tab_col PRIMARY KEY (table_name,column_name) 
)
tablespace wm_flexpm;

CREATE TABLE upgrade_sm_col_msg(
 ID           INTEGER,
 TABLE_NAME   VARCHAR2(30),
 COLUMN_NAME  VARCHAR2(30),
 msg_type     VARCHAR2(20),
 msg          VARCHAR2(1000),
  CONSTRAINT PK_upgrade_sm_col_msg PRIMARY KEY (ID)
)
tablespace wm_flexpm;

CREATE SEQUENCE  upgrade_sm_col_msg_seq START WITH 1;

CREATE INDEX upgrade_sm_col_msg_tc
ON upgrade_sm_col_msg(table_name,column_name)
tablespace wm_flexpm;

CREATE INDEX upgrade_sm_col_msg_ttc
ON upgrade_sm_col_msg(table_name,msg_type,column_name)
tablespace wm_flexpm;
