PACKAGE SoftAlarm
{
	INT	Id			ALIAS "sa_state.master_id"
	STRING	Entity			ALIAS "wmn_entity.entity_name"
	INT	InstanceId		ALIAS "sa_state.instance_id"
	STRING	AlarmType		ALIAS "sa_alarm_type.description"
	STRING	ProbableCause		ALIAS "sa_alarm_cause.description"
	INT	PerceivedSeverity	ALIAS "sa_state.perceived_severity"
	STRING	PerceivedSeverityName	ALIAS "sa_severity.description"
	TIME	AlarmTime		ALIAS "sa_state.alarm_time"
	TIME	FirstOccurenceTime	ALIAS "sa_state.first_occurence"
	INT	AlarmCount		ALIAS "sa_state.alarm_count"
	STRING	Summary			ALIAS "sa_state.summary"
	STRING	AdditionalText		ALIAS "sa_state.additional_text"
	STRING  Acknowledged            ALIAS "decode(sa_state.ack_action_id, null, '', 'Y')"
	STRING  InstanceName		ALIAS "sa_state.instance_name"
	STRING  FDN			ALIAS "sa_state.fdn"
	INT	ScenarioInstanceId	ALIAS "sa_state.scenario_instance_id"
	STRING  AcknowledgedUserID	ALIAS "sa_action.user_id"
}
CONDITION "from	sa_state, sa_alarm_type, sa_alarm_cause,  
		sa_severity, wmn_entity, sa_action
where 
	sa_state.alarm_type = sa_alarm_type.id and
	sa_state.probable_cause = sa_alarm_cause.id and
	sa_state.perceived_severity = sa_severity.id and
	sa_state.entity_id = wmn_entity.entity_id and
	sa_state.ack_action_id = sa_action.id(+)"
