#!/bin/ksh

X_SYS=jaguar #CHANGEME
X_DN='uid=admin,ou=administrators,ou=topologymanagement,o=netscaperoot'
X_PW='admin' #CHANGEME
X_HOST=10.10.10.10 #CHANGEME
X_PORT=389
X_UNIT=watchmark
X_SUFFIX='dc=watchmark,dc=com' #CHANGEME
X_WMSUFFIX='ou=watchmark,ou=apps,dc=watchmark,dc=com'  #CHANGEME
X_DESC=wa

./load_ldap_schema.ksh -h "$X_HOST" -p "$X_PORT" -D "$X_DN" -w "$X_PW"

./prep_base_templates.ksh -u "$X_UNIT" -w "$X_WMSUFFIX" -s "$X_SUFFIX"

./create_base.ksh -c -h "$X_HOST" -p "$X_PORT" -D "$X_DN" -w "$X_PW"

./load_base_data.ksh -h "$X_HOST" -p "$X_PORT" -D "$X_DN" -w "$X_PW"

## HOSTS
#nawk -f /u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/hosts.awk \
#DESC="$X_DESC" SUFFIX="$X_SUFFIX" \
#/u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/hosts.list \ 
#/u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/${X_SYS}_hosts.ldif

#/bin/ldapmodify -c -v -h "$X_HOST" -p "$X_PORT" -D "$X_DN" -w "$X_PW" -f \
#/u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/${X_SYS}_hosts.ldif

## USERS
#nawk -f /u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/users.awk \
#SUFFIX="$X_SUFFIX" /u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/users.list  \
#/u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/${X_SYS}_users.ldif

#/bin/ldapmodify -c -v -h "$X_HOST" -p "$X_PORT" -D "$X_DN" -w "$X_PW" -f \
#/u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/${X_SYS}_users.ldif

## LDAPAdmin
#nawk -f /u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/ldapadmin.awk \
#WMSUFFIX="$X_WMSUFFIX" SUFFIX="$X_SUFFIX" \
#/u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/ldapadmin.list \
#/u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/${X_SYS}_ldapadmin.ldif

#/bin/ldapmodify -c -v -h "$X_HOST" -p "$X_PORT" -D "$X_DN" -w "$X_PW" -f \
#/u01/apps/WatchMark/FlexPM/pweb/ldap/scripts/${X_SYS}_ldapadmin.ldif

## END
