-- @(#) dew_drops.sql 1.9.0 07/12/09 16:28:36
-- @(#) 

PROMPT START dew_drops805.sql

BEGIN

   -- Drop schema for part_task
   --
   run_sql('drop package part_maint');
   run_sql('drop type session_id_tabletype');
   run_sql('drop type session_id_rowtype');
   run_sql('drop index part_task_operation_idx');
   run_sql('drop table part_task cascade constraints');
   run_sql('drop sequence part_stat_seq');
   run_sql('drop table part_stat cascade constraints');

  -- Drop schema for busyhour_task
  --
  run_sql('DROP TABLE bh_driver_tmp');
  run_sql('DROP TABLE bh_clean_tmp');
  run_sql('drop package bh_update');
  run_sql('drop type bh_session_id_tabletype');
  run_sql('drop type bh_session_id_rowtype');
  run_sql('drop index busyhour_task_retry_idx');
  run_sql('drop table busyhour_task cascade constraints');

  -- Drop schema for summation
  --
  run_sql('drop type summ_session_id_tabletype');
  run_sql('drop type summ_session_id_rowtype');
  run_sql('drop index summ_task_status_code_idx');
  run_sql('drop table summ_task cascade constraints');
  run_sql('drop table summ_sql cascade constraints');
  run_sql('drop table summ_dates_tmp');
  run_sql('drop table summ_entity_tables_tmp');
 
  -- Drop schema for util_trace
  --
  run_sql('DROP package util_pack');
  run_sql('DROP TABLE ut_tracing CASCADE CONSTRAINTS');
  run_sql('DROP TABLE ut_trace CASCADE CONSTRAINTS');
  run_sql('DROP sequence ut_trace_s');
  run_sql('DROP TABLE ut_gate');
  run_sql('DROP sequence ut_gate_s');

  ------------------------data_change_event--------------------------------
  -- Drop all objects that could have been created in any release
  --
  --run_sql('DROP TRIGGER data_load_event_trigger');
  --run_sql('DROP PACKAGE data_change');

  -- Use package to stop the queues before dropping them.
  --wm_queue_admin.drop_queue('data_change_queue', 'data_change_queue_t');
  --wm_queue_admin.drop_queue('data_change_exqueue', 'data_change_exqueue_t');

  --run_sql('DROP TYPE data_change_message');

  -------------------------Jloader--------------------------------------
  -- Drop all objects that could have been created in any release
  --
  --run_sql('DROP PACKAGE JLOADER_PDO');
  --run_sql('DROP PACKAGE jloader_pdo_colmap_api');
  --run_sql('DROP PACKAGE jloader_util');
  --run_sql('DROP PACKAGE jloader_keymap');

  --run_sql('DROP VIEW jloader_colmap_mv');
  --run_sql('DROP VIEW jloader_pdo_config_v');
  --run_sql('DROP VIEW jloader_pdo_counters_v');
  --run_sql('DROP VIEW jloader_element_v');

  --run_sql('DROP TABLE jloader_colmap_tv');
  --run_sql('DROP TABLE jloader_pdo_colmap');
  --run_sql('DROP TABLE jloader_pdo_colmap_stage');
  --run_sql('DROP TABLE jloader_pdo_colmap_tmp');
  --run_sql('DROP TABLE jloader_pdo_table_tmp');
  --run_sql('DROP TABLE jloader_pdo_table_stage');
  --run_sql('DROP TABLE jloader_pdo_record_tmp');
  --run_sql('DROP TABLE jloader_ne_list_tmp');
  --run_sql('DROP TABLE jloader_pdo_counters');
  --run_sql('DROP TABLE jloader_pdo_config');
  --run_sql('DROP TABLE jloader_pdo_record_type');
  --run_sql('DROP TABLE jloader_attribute_mapping');
  --run_sql('DROP TABLE jloader_element_map');
  --run_sql('DROP TABLE jloader_element');

  --run_sql('DROP SEQUENCE seq_jloader_pdo_record_type');
  --run_sql('DROP SEQUENCE seq_jloader_table_id');
  --run_sql('DROP SEQUENCE seq_jloader_pdo_counter_id');
  --run_sql('DROP SEQUENCE sq_jloader_element_id');

  ------------------------load-----------------------------------------
  --DELETE FROM wm_utility WHERE table_name = 'WML_LOADER_KEY_LOOKUP';
  --COMMIT;

  --run_sql('DROP PACKAGE wml_load');
  --run_sql('DROP TABLE wml_loader_key_lookup');
  --run_sql('DROP TABLE wml_load_tables');
  --run_sql('DROP TABLE wml_tab_columns');

  --------------------------------------------------------------------
END;
/

PROMPT END dew_drops805.sql DONE
