-- ----------------------------------------------------------------------
-- @(#) upgrade_ad_scan_tables.sql 1.2.0 05/05/03 12:22:10
-- @(#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------

--
-- 8.0.2.0
--

PROMPT START upgrade_ad_scan_tables805.sql
set serveroutput on size 1000000
DECLARE
  CURSOR cNull_EntID_list IS 
      SELECT * FROM ad_scan_tables ast
       WHERE entity_id IS NULL or entity_id=-9999;
BEGIN
  UPDATE ad_scan_tables ast 
     SET entity_id = 
         (SELECT distinct entity_id FROM wmd_dict_table wdt
           WHERE ast.table_name=wdt.table_name)
   WHERE entity_id IS NULL or entity_id=-9999;
   
  FOR l_null_entID IN cNull_EntID_list LOOP
      wm_print.print('WARNING: ad_scan_tables.entity_id is null for table '
      ||l_null_entID.table_name);
       wm_print.print('The entity is set to -9999, Please contact Prospect Support.');
       
      UPDATE ad_scan_tables ast 
         SET entity_id = -9999
       WHERE table_name=l_null_entID.table_name;
  END LOOP;
   

END;
/

BEGIN
run_sql('alter table ad_scan_tables modify(ENTITY_ID INTEGER '
||      'CONSTRAINT ad_scan_tab_ent_id_not_null not null)');
END;
/

PROMPT END upgrade_ad_scan_tables805.sql DONE
