-- -------------------------------------
-- @(#) upgrade_views.sql 1.2.0 07/12/09 16:32:08
-- @(#) 
-- -------------------------------------
PROMPT
PROMPT START upgrade_views805.sql

PROMPT
PROMPT Updating view pm_eh_snmp_managers_v...
CREATE OR REPLACE VIEW pm_eh_snmp_managers_v AS
SELECT m.host, m.port, m.version, m.time_format
  FROM pm_snmp_manager m,
	 pm_snmp_group g
  WHERE g.snmp_group_type = 'EH'
    AND g.snmp_group_id = m.snmp_group_id;

PROMPT
PROMPT Updating view pm_sa_snmp_managers_v...
CREATE OR REPLACE VIEW pm_sa_snmp_managers_v AS
     SELECT m.host, m.port, m.version, m.time_format
       FROM pm_snmp_manager m,
	      pm_snmp_group g
       WHERE g.snmp_group_type = 'SA'
	 AND g.snmp_group_id = m.snmp_group_id;

PROMPT
PROMPT Updating view wmd_datasource_field...
CREATE OR REPLACE VIEW wmd_DataSource_Field AS
   SELECT /*+ USE_HASH(x) */
          d.Datasource_ID, d.Field_Id, d.Entity_Id, n.Name, n.Report_Header,
          n.Report_Header2, d.Field_Desc, d.DataType, d.Field_Type, d.Field_Owner,
          d.Field_Aggregator, d.Field_Emits_Aggregator, NVL(e.Calc_Source, dbms_lob.substr(u.Calc_Source,1,4000)) Calc_Source,
          u.UDC_Source, u.Status, c.Length, c.Precision, c.Is_Null_OK, g.Field_Group_Short, x.Tech_Mask, u.Changed, c.Units,
          u.COMPLEX, d.weight_field_id
     FROM WMD_Field_Def d, WMD_Dict_Name n, WMD_Col_Def c, WMD_Calc_Def e, wmd_UDC_def u, WMD_Field_Group g,
       ( SELECT f.Field_Id, sum(t.Tech_Mask) Tech_Mask
           FROM WMD_Field_Tech f, WMD_Technology_Mask t
          WHERE f.Tech_Id = t.Tech_Id
          GROUP BY f.Field_Id ) x
    WHERE d.Field_ID = n.Field_ID
      AND n.Namespace_ID = 0
      AND d.Field_Id = c.Field_Id (+)
      AND d.Field_Id = e.Field_Id (+)
      AND d.Field_Id = u.Field_Id (+)
      AND d.Field_Group_Id = g.Field_Group_Id (+)
      AND d.Field_ID = x.Field_ID (+);

PROMPT
PROMPT Updating create_colmap_views...
@ $FLEXPM_HOME/db/Oracle8i/jloader/create_colmap_views.sql

PROMPT
PROMPT Updating RG_StatusView...
@ $FLEXPM_HOME/db/Oracle8i/status/RG_StatusView.sql

PROMPT
PROMPT END upgrade_views805.sql DONE

