/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.framework;
import java.util.List;
import java.util.Map;

public class FieldTranslator
{
  private Translator _translator;
  private String _name;
  private List _args;
  
  public FieldTranslator(String name, Translator t, List args)
  {
    _name = name;
    _translator = t;
    _args = args;
  }
  
  public void translate(Map attributes)
  {
    String result = _translator.translate(attributes, _args);
    
    // Now shove the translated values back into the map.
    attributes.put(_name, result);
  }
}