/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.translator;
import com.watchmark.loader.framework.Translator;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class Substring extends Translator
{
  public Substring()
  {
    super("SUBSTRING");
  }
  
  public String translate(Map attributes, List args)
  {
    String result = "";
    
    if (args.size() == 3)
    {
      String a0 = getArgValue(attributes, args, 0);
      int start = getArgInt(attributes, args, 1);
      int end   = getArgInt(attributes, args, 2);
      
      result = a0.substring(start, end);
    }
    
    return result;
  }
}