#!/bin/sh
#==============================================================================
#starts AGGRGP process which communicates with AGGREGATOR
#
#  AGGRGP        - sends aggregation defintions to Aggregator, recieves status 
#                  messagesr and registers in the db
#                  what log files are created. 
#  FX_DS_PORT    - port for the FX Dataserver. AGGRGP queries the fx Dataserver
#                  for aggregation defintions
#  WM_SERVER     - the host for fx DataServer 
#  AG_PORT       - port the Aggregator is listening on. Aggregation Defintions 
#                  and status messages are sent via this port.
#  WM_AG_LOG_DIR - path of the directory where the Aggregator log files are 
#                  kept
#  The WMTM writes Log files for the AGGRGP  in rg/logs/
#==============================================================================

set -a
SERVER_PORT=${AG_PORT}
WM_SA_SERVER=${WM_SERVER}
set +a
SERVERNAME=aggregator
TIMEOUT=180

       exec ${FLEXPM_HOME}/pm/bin/agp \
            $* \
      	    -server $SERVERNAME \
	    -dstimeout $TIMEOUT
            ;




