#!/bin/sh
#==============================================================================
#starts AGP process which communicates with SoftAlarmer
#
#  AGP           - sends alarm defintions to SoftAlarmer, recieves status 
#                  messages from the SoftAlarmer and registers in the db
#                  what log files are created. 
#  FX_DS_PORT    - port for the FX Dataserver. AGP queries the fx Dataserver
#                  for alarm defintions
#  WM_SERVER     - the host for fx DataServer 
#  WM_SA_SERVER  - the host for the SoftAlarmer
#  SA_PORT       - port the SoftAlarmer is listening on. Alarm Defintions and
#                  status messages are sent via this port.
#  WM_SA_LOG_DIR - path of the directory where the Softalarmer log files are 
#                  kept
#  The WMTM writes Log files for the AGP  in rg/logs/
#==============================================================================

set -a
SERVER_PORT=${SA_PORT}
WM_SA_SERVER=${WM_SERVER}
set +a
SERVERNAME=softalarmer
TIMEOUT=180


       exec ${FLEXPM_HOME}/pm/bin/agp \
            $* \
	    -server $SERVERNAME \
	    -dstimeout $TIMEOUT
            ;



