  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2000
  -- *** (#) ./base/post-vendor/scenarioAD/pop_part_maint.sql BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
  -- *** (#) 
  -- ------------------------------------------------------------------------

set serveroutput on size 1000000

DECLARE
  vSubClass_tabID   PLS_INTEGER:=0;
BEGIN
  
  INSERT INTO subclass_table
  (id, class_id, name, past_part_func)
  (SELECT subclass_table_seq.NEXTVAL, id,
          'scenario', 'AD_INS_ACTIVATION.PAST_PART_FUNC'
     FROM class_table  ct
    WHERE LOWER(ct.name)='part maint');

EXCEPTION
  WHEN DUP_VAL_ON_INDEX THEN
    IF INSTR(SQLERRM,'UNQ_SUBCLASS_NAME')<>0 THEN 
        DBMS_OUTPUT.PUT_LINE
          ('The scenario activation row has already existed in subclass table.');
        UPDATE subclass_table 
           SET past_part_func='AD_INS_ACTIVATION.PAST_PART_FUNC'
         WHERE name='scenario';
    ELSE
        RAISE;
    END IF;  

END;
/

COMMIT;

EXIT;
