#!/bin/ksh
#----------------------------------------------------------------------
# (#) ./base/sw/wm_monitor/monitors/cmd_rs_count.sh BL_core_schema_8.0.7_8.0.7.5.02_20100605  072527
# (#) 
# Copyright 2003 WatchMark Corp.
#----------------------------------------------------------------------
#

CPU_COUNT=`/usr/sbin/psrinfo|grep on-line|wc -l|sed "s/^[ 	]*//g`

prospectrc="${PROSPECT_HOME}/scripts/.prospectrc"
connect_profile="{FLEXPM_HOME}/.profile.connect"


MAX_COMMANDERS=`
  exec 2> /dev/null
  test -f ${prospectrc} && . ${prospectrc} ;
  expr "${MAX_COMMANDERS}" \| "1" ;
`

RS_COUNT=`
  exec 2> /dev/null
  test -f ${connect_profile} && . ${connect_profile} ;
  expr "${RS_DS_LIST}" \| "1" ;
`


echo "CPU	COMMANDERS	RS"
echo "$CPU_COUNT	$MAX_COMMANDERS	$RS_COUNT"

